# flutter_minizip_ffi_bindings

FFI bindings for [nmoinvaz/minizip](https://github.com/nmoinvaz/minizip) made using [dart-lang/ffigen](https://github.com/dart-lang/ffigen) and trivial trick.

## Notes

This package **does not include binary library** of minizip.

Build your `libminizip` and add to your app project or example project.

## Run example on Android

* Build your android `libminizip`
  * You can use [build_minizip_mobile](https://gitlab.com/yt0316dev/build_minizip_mobile)
* Copy built `libminizip.so` into `example/android/app/src/main/jniLibs/`

```sh
example/android/app/src/main/jniLibs/
├── arm64-v8a
│   └── libminizip.so
├── armeabi-v7a
│   └── libminizip.so
├── x86
│   └── libminizip.so
└── x86_64
    └── libminizip.so
```

* `cd example && flutter run`

## Run example on iOS

* Build your iOS `libminizip`
  * You can use [build_minizip_mobile](https://gitlab.com/yt0316dev/build_minizip_mobile)
* Copy built `libminizip.2.5.dylib` and `include/` into `example/ios/Runner/minizip/`

```sh
example/ios/Runner/minizip/
├── include
│   ├── mz.h
│   ...
│   └── mz_zip_rw.h
└── libminizip.2.5.dylib
```

* `cd example && flutter run`

## Using this package with your app project

* Add this package as dev_dependency in your `pubspec.yaml`
* Build your `libminizip` and add libminizip to your app's native project
  * You can use [build_minizip_mobile](https://gitlab.com/yt0316dev/build_minizip_mobile)
* `import 'package:flutter_minizip_ffi_bindings/flutter_minizip_ffi_bindings.dart';`
