// flutter_minizip_ffi_bindings
// ignore_for_file: non_constant_identifier_names, unused_field, unused_element, camel_case_types

import 'dart:ffi' as ffi;

class Minizip {
  /// Holds the Dynamic library.
  final ffi.DynamicLibrary _dylib;

  /// The symbols are looked up in [dynamicLibrary].
  Minizip(ffi.DynamicLibrary dynamicLibrary) : _dylib = dynamicLibrary;

  ffi.Pointer<ffi.Int8> asctime(
    ffi.Pointer<tm> arg0,
  ) {
    _asctime ??= _dylib.lookupFunction<_c_asctime, _dart_asctime>('asctime');
    return _asctime(
      arg0,
    );
  }

  _dart_asctime _asctime;

  int clock() {
    _clock ??= _dylib.lookupFunction<_c_clock, _dart_clock>('clock');
    return _clock();
  }

  _dart_clock _clock;

  ffi.Pointer<ffi.Int8> ctime(
    ffi.Pointer<ffi.Int64> arg0,
  ) {
    _ctime ??= _dylib.lookupFunction<_c_ctime, _dart_ctime>('ctime');
    return _ctime(
      arg0,
    );
  }

  _dart_ctime _ctime;

  double difftime(
    int arg0,
    int arg1,
  ) {
    _difftime ??=
        _dylib.lookupFunction<_c_difftime, _dart_difftime>('difftime');
    return _difftime(
      arg0,
      arg1,
    );
  }

  _dart_difftime _difftime;

  ffi.Pointer<tm> getdate(
    ffi.Pointer<ffi.Int8> arg0,
  ) {
    _getdate ??= _dylib.lookupFunction<_c_getdate, _dart_getdate>('getdate');
    return _getdate(
      arg0,
    );
  }

  _dart_getdate _getdate;

  ffi.Pointer<tm> gmtime(
    ffi.Pointer<ffi.Int64> arg0,
  ) {
    _gmtime ??= _dylib.lookupFunction<_c_gmtime, _dart_gmtime>('gmtime');
    return _gmtime(
      arg0,
    );
  }

  _dart_gmtime _gmtime;

  ffi.Pointer<tm> localtime(
    ffi.Pointer<ffi.Int64> arg0,
  ) {
    _localtime ??=
        _dylib.lookupFunction<_c_localtime, _dart_localtime>('localtime');
    return _localtime(
      arg0,
    );
  }

  _dart_localtime _localtime;

  int mktime(
    ffi.Pointer<tm> arg0,
  ) {
    _mktime ??= _dylib.lookupFunction<_c_mktime, _dart_mktime>('mktime');
    return _mktime(
      arg0,
    );
  }

  _dart_mktime _mktime;

  int strftime(
    ffi.Pointer<ffi.Int8> arg0,
    int arg1,
    ffi.Pointer<ffi.Int8> arg2,
    ffi.Pointer<tm> arg3,
  ) {
    _strftime ??=
        _dylib.lookupFunction<_c_strftime, _dart_strftime>('strftime');
    return _strftime(
      arg0,
      arg1,
      arg2,
      arg3,
    );
  }

  _dart_strftime _strftime;

  ffi.Pointer<ffi.Int8> strptime(
    ffi.Pointer<ffi.Int8> arg0,
    ffi.Pointer<ffi.Int8> arg1,
    ffi.Pointer<tm> arg2,
  ) {
    _strptime ??=
        _dylib.lookupFunction<_c_strptime, _dart_strptime>('strptime');
    return _strptime(
      arg0,
      arg1,
      arg2,
    );
  }

  _dart_strptime _strptime;

  int time(
    ffi.Pointer<ffi.Int64> arg0,
  ) {
    _time ??= _dylib.lookupFunction<_c_time, _dart_time>('time');
    return _time(
      arg0,
    );
  }

  _dart_time _time;

  void tzset() {
    _tzset ??= _dylib.lookupFunction<_c_tzset, _dart_tzset>('tzset');
    return _tzset();
  }

  _dart_tzset _tzset;

  ffi.Pointer<ffi.Int8> asctime_r(
    ffi.Pointer<tm> arg0,
    ffi.Pointer<ffi.Int8> arg1,
  ) {
    _asctime_r ??=
        _dylib.lookupFunction<_c_asctime_r, _dart_asctime_r>('asctime_r');
    return _asctime_r(
      arg0,
      arg1,
    );
  }

  _dart_asctime_r _asctime_r;

  ffi.Pointer<ffi.Int8> ctime_r(
    ffi.Pointer<ffi.Int64> arg0,
    ffi.Pointer<ffi.Int8> arg1,
  ) {
    _ctime_r ??= _dylib.lookupFunction<_c_ctime_r, _dart_ctime_r>('ctime_r');
    return _ctime_r(
      arg0,
      arg1,
    );
  }

  _dart_ctime_r _ctime_r;

  ffi.Pointer<tm> gmtime_r(
    ffi.Pointer<ffi.Int64> arg0,
    ffi.Pointer<tm> arg1,
  ) {
    _gmtime_r ??=
        _dylib.lookupFunction<_c_gmtime_r, _dart_gmtime_r>('gmtime_r');
    return _gmtime_r(
      arg0,
      arg1,
    );
  }

  _dart_gmtime_r _gmtime_r;

  ffi.Pointer<tm> localtime_r(
    ffi.Pointer<ffi.Int64> arg0,
    ffi.Pointer<tm> arg1,
  ) {
    _localtime_r ??=
        _dylib.lookupFunction<_c_localtime_r, _dart_localtime_r>('localtime_r');
    return _localtime_r(
      arg0,
      arg1,
    );
  }

  _dart_localtime_r _localtime_r;

  int posix2time(
    int arg0,
  ) {
    _posix2time ??=
        _dylib.lookupFunction<_c_posix2time, _dart_posix2time>('posix2time');
    return _posix2time(
      arg0,
    );
  }

  _dart_posix2time _posix2time;

  void tzsetwall() {
    _tzsetwall ??=
        _dylib.lookupFunction<_c_tzsetwall, _dart_tzsetwall>('tzsetwall');
    return _tzsetwall();
  }

  _dart_tzsetwall _tzsetwall;

  int time2posix(
    int arg0,
  ) {
    _time2posix ??=
        _dylib.lookupFunction<_c_time2posix, _dart_time2posix>('time2posix');
    return _time2posix(
      arg0,
    );
  }

  _dart_time2posix _time2posix;

  int timelocal(
    ffi.Pointer<tm> arg0,
  ) {
    _timelocal ??=
        _dylib.lookupFunction<_c_timelocal, _dart_timelocal>('timelocal');
    return _timelocal(
      arg0,
    );
  }

  _dart_timelocal _timelocal;

  int timegm(
    ffi.Pointer<tm> arg0,
  ) {
    _timegm ??= _dylib.lookupFunction<_c_timegm, _dart_timegm>('timegm');
    return _timegm(
      arg0,
    );
  }

  _dart_timegm _timegm;

  int nanosleep(
    ffi.Pointer<timespec> __rqtp,
    ffi.Pointer<timespec> __rmtp,
  ) {
    _nanosleep ??=
        _dylib.lookupFunction<_c_nanosleep, _dart_nanosleep>('nanosleep');
    return _nanosleep(
      __rqtp,
      __rmtp,
    );
  }

  _dart_nanosleep _nanosleep;

  int clock_getres(
    int __clock_id,
    ffi.Pointer<timespec> __res,
  ) {
    _clock_getres ??= _dylib
        .lookupFunction<_c_clock_getres, _dart_clock_getres>('clock_getres');
    return _clock_getres(
      __clock_id,
      __res,
    );
  }

  _dart_clock_getres _clock_getres;

  int clock_gettime(
    int __clock_id,
    ffi.Pointer<timespec> __tp,
  ) {
    _clock_gettime ??= _dylib
        .lookupFunction<_c_clock_gettime, _dart_clock_gettime>('clock_gettime');
    return _clock_gettime(
      __clock_id,
      __tp,
    );
  }

  _dart_clock_gettime _clock_gettime;

  int clock_gettime_nsec_np(
    int __clock_id,
  ) {
    _clock_gettime_nsec_np ??= _dylib.lookupFunction<_c_clock_gettime_nsec_np,
        _dart_clock_gettime_nsec_np>('clock_gettime_nsec_np');
    return _clock_gettime_nsec_np(
      __clock_id,
    );
  }

  _dart_clock_gettime_nsec_np _clock_gettime_nsec_np;

  int clock_settime(
    int __clock_id,
    ffi.Pointer<timespec> __tp,
  ) {
    _clock_settime ??= _dylib
        .lookupFunction<_c_clock_settime, _dart_clock_settime>('clock_settime');
    return _clock_settime(
      __clock_id,
      __tp,
    );
  }

  _dart_clock_settime _clock_settime;

  int timespec_get(
    ffi.Pointer<timespec> ts,
    int base,
  ) {
    _timespec_get ??= _dylib
        .lookupFunction<_c_timespec_get, _dart_timespec_get>('timespec_get');
    return _timespec_get(
      ts,
      base,
    );
  }

  _dart_timespec_get _timespec_get;

  /// ************************************************************************
  int mz_crypt_crc32_update(
    int value,
    ffi.Pointer<ffi.Uint8> buf,
    int size,
  ) {
    _mz_crypt_crc32_update ??= _dylib.lookupFunction<_c_mz_crypt_crc32_update,
        _dart_mz_crypt_crc32_update>('mz_crypt_crc32_update');
    return _mz_crypt_crc32_update(
      value,
      buf,
      size,
    );
  }

  _dart_mz_crypt_crc32_update _mz_crypt_crc32_update;

  int mz_crypt_pbkdf2(
    ffi.Pointer<ffi.Uint8> password,
    int password_length,
    ffi.Pointer<ffi.Uint8> salt,
    int salt_length,
    int iteration_count,
    ffi.Pointer<ffi.Uint8> key,
    int key_length,
  ) {
    _mz_crypt_pbkdf2 ??=
        _dylib.lookupFunction<_c_mz_crypt_pbkdf2, _dart_mz_crypt_pbkdf2>(
            'mz_crypt_pbkdf2');
    return _mz_crypt_pbkdf2(
      password,
      password_length,
      salt,
      salt_length,
      iteration_count,
      key,
      key_length,
    );
  }

  _dart_mz_crypt_pbkdf2 _mz_crypt_pbkdf2;

  /// ************************************************************************
  int mz_crypt_rand(
    ffi.Pointer<ffi.Uint8> buf,
    int size,
  ) {
    _mz_crypt_rand ??= _dylib
        .lookupFunction<_c_mz_crypt_rand, _dart_mz_crypt_rand>('mz_crypt_rand');
    return _mz_crypt_rand(
      buf,
      size,
    );
  }

  _dart_mz_crypt_rand _mz_crypt_rand;

  void mz_crypt_sha_reset(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_crypt_sha_reset ??=
        _dylib.lookupFunction<_c_mz_crypt_sha_reset, _dart_mz_crypt_sha_reset>(
            'mz_crypt_sha_reset');
    return _mz_crypt_sha_reset(
      handle,
    );
  }

  _dart_mz_crypt_sha_reset _mz_crypt_sha_reset;

  int mz_crypt_sha_begin(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_crypt_sha_begin ??=
        _dylib.lookupFunction<_c_mz_crypt_sha_begin, _dart_mz_crypt_sha_begin>(
            'mz_crypt_sha_begin');
    return _mz_crypt_sha_begin(
      handle,
    );
  }

  _dart_mz_crypt_sha_begin _mz_crypt_sha_begin;

  int mz_crypt_sha_update(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_crypt_sha_update ??= _dylib.lookupFunction<_c_mz_crypt_sha_update,
        _dart_mz_crypt_sha_update>('mz_crypt_sha_update');
    return _mz_crypt_sha_update(
      handle,
      buf,
      size,
    );
  }

  _dart_mz_crypt_sha_update _mz_crypt_sha_update;

  int mz_crypt_sha_end(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> digest,
    int digest_size,
  ) {
    _mz_crypt_sha_end ??=
        _dylib.lookupFunction<_c_mz_crypt_sha_end, _dart_mz_crypt_sha_end>(
            'mz_crypt_sha_end');
    return _mz_crypt_sha_end(
      handle,
      digest,
      digest_size,
    );
  }

  _dart_mz_crypt_sha_end _mz_crypt_sha_end;

  void mz_crypt_sha_set_algorithm(
    ffi.Pointer<ffi.Void> handle,
    int algorithm,
  ) {
    _mz_crypt_sha_set_algorithm ??= _dylib.lookupFunction<
        _c_mz_crypt_sha_set_algorithm,
        _dart_mz_crypt_sha_set_algorithm>('mz_crypt_sha_set_algorithm');
    return _mz_crypt_sha_set_algorithm(
      handle,
      algorithm,
    );
  }

  _dart_mz_crypt_sha_set_algorithm _mz_crypt_sha_set_algorithm;

  ffi.Pointer<ffi.Void> mz_crypt_sha_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_crypt_sha_create ??= _dylib.lookupFunction<_c_mz_crypt_sha_create,
        _dart_mz_crypt_sha_create>('mz_crypt_sha_create');
    return _mz_crypt_sha_create(
      handle,
    );
  }

  _dart_mz_crypt_sha_create _mz_crypt_sha_create;

  void mz_crypt_sha_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_crypt_sha_delete ??= _dylib.lookupFunction<_c_mz_crypt_sha_delete,
        _dart_mz_crypt_sha_delete>('mz_crypt_sha_delete');
    return _mz_crypt_sha_delete(
      handle,
    );
  }

  _dart_mz_crypt_sha_delete _mz_crypt_sha_delete;

  void mz_crypt_aes_reset(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_crypt_aes_reset ??=
        _dylib.lookupFunction<_c_mz_crypt_aes_reset, _dart_mz_crypt_aes_reset>(
            'mz_crypt_aes_reset');
    return _mz_crypt_aes_reset(
      handle,
    );
  }

  _dart_mz_crypt_aes_reset _mz_crypt_aes_reset;

  int mz_crypt_aes_encrypt(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> buf,
    int size,
  ) {
    _mz_crypt_aes_encrypt ??= _dylib.lookupFunction<_c_mz_crypt_aes_encrypt,
        _dart_mz_crypt_aes_encrypt>('mz_crypt_aes_encrypt');
    return _mz_crypt_aes_encrypt(
      handle,
      buf,
      size,
    );
  }

  _dart_mz_crypt_aes_encrypt _mz_crypt_aes_encrypt;

  int mz_crypt_aes_decrypt(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> buf,
    int size,
  ) {
    _mz_crypt_aes_decrypt ??= _dylib.lookupFunction<_c_mz_crypt_aes_decrypt,
        _dart_mz_crypt_aes_decrypt>('mz_crypt_aes_decrypt');
    return _mz_crypt_aes_decrypt(
      handle,
      buf,
      size,
    );
  }

  _dart_mz_crypt_aes_decrypt _mz_crypt_aes_decrypt;

  int mz_crypt_aes_set_encrypt_key(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> key,
    int key_length,
  ) {
    _mz_crypt_aes_set_encrypt_key ??= _dylib.lookupFunction<
        _c_mz_crypt_aes_set_encrypt_key,
        _dart_mz_crypt_aes_set_encrypt_key>('mz_crypt_aes_set_encrypt_key');
    return _mz_crypt_aes_set_encrypt_key(
      handle,
      key,
      key_length,
    );
  }

  _dart_mz_crypt_aes_set_encrypt_key _mz_crypt_aes_set_encrypt_key;

  int mz_crypt_aes_set_decrypt_key(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> key,
    int key_length,
  ) {
    _mz_crypt_aes_set_decrypt_key ??= _dylib.lookupFunction<
        _c_mz_crypt_aes_set_decrypt_key,
        _dart_mz_crypt_aes_set_decrypt_key>('mz_crypt_aes_set_decrypt_key');
    return _mz_crypt_aes_set_decrypt_key(
      handle,
      key,
      key_length,
    );
  }

  _dart_mz_crypt_aes_set_decrypt_key _mz_crypt_aes_set_decrypt_key;

  void mz_crypt_aes_set_mode(
    ffi.Pointer<ffi.Void> handle,
    int mode,
  ) {
    _mz_crypt_aes_set_mode ??= _dylib.lookupFunction<_c_mz_crypt_aes_set_mode,
        _dart_mz_crypt_aes_set_mode>('mz_crypt_aes_set_mode');
    return _mz_crypt_aes_set_mode(
      handle,
      mode,
    );
  }

  _dart_mz_crypt_aes_set_mode _mz_crypt_aes_set_mode;

  ffi.Pointer<ffi.Void> mz_crypt_aes_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_crypt_aes_create ??= _dylib.lookupFunction<_c_mz_crypt_aes_create,
        _dart_mz_crypt_aes_create>('mz_crypt_aes_create');
    return _mz_crypt_aes_create(
      handle,
    );
  }

  _dart_mz_crypt_aes_create _mz_crypt_aes_create;

  void mz_crypt_aes_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_crypt_aes_delete ??= _dylib.lookupFunction<_c_mz_crypt_aes_delete,
        _dart_mz_crypt_aes_delete>('mz_crypt_aes_delete');
    return _mz_crypt_aes_delete(
      handle,
    );
  }

  _dart_mz_crypt_aes_delete _mz_crypt_aes_delete;

  void mz_crypt_hmac_reset(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_crypt_hmac_reset ??= _dylib.lookupFunction<_c_mz_crypt_hmac_reset,
        _dart_mz_crypt_hmac_reset>('mz_crypt_hmac_reset');
    return _mz_crypt_hmac_reset(
      handle,
    );
  }

  _dart_mz_crypt_hmac_reset _mz_crypt_hmac_reset;

  int mz_crypt_hmac_init(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> key,
    int key_length,
  ) {
    _mz_crypt_hmac_init ??=
        _dylib.lookupFunction<_c_mz_crypt_hmac_init, _dart_mz_crypt_hmac_init>(
            'mz_crypt_hmac_init');
    return _mz_crypt_hmac_init(
      handle,
      key,
      key_length,
    );
  }

  _dart_mz_crypt_hmac_init _mz_crypt_hmac_init;

  int mz_crypt_hmac_update(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_crypt_hmac_update ??= _dylib.lookupFunction<_c_mz_crypt_hmac_update,
        _dart_mz_crypt_hmac_update>('mz_crypt_hmac_update');
    return _mz_crypt_hmac_update(
      handle,
      buf,
      size,
    );
  }

  _dart_mz_crypt_hmac_update _mz_crypt_hmac_update;

  int mz_crypt_hmac_end(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> digest,
    int digest_size,
  ) {
    _mz_crypt_hmac_end ??=
        _dylib.lookupFunction<_c_mz_crypt_hmac_end, _dart_mz_crypt_hmac_end>(
            'mz_crypt_hmac_end');
    return _mz_crypt_hmac_end(
      handle,
      digest,
      digest_size,
    );
  }

  _dart_mz_crypt_hmac_end _mz_crypt_hmac_end;

  int mz_crypt_hmac_copy(
    ffi.Pointer<ffi.Void> src_handle,
    ffi.Pointer<ffi.Void> target_handle,
  ) {
    _mz_crypt_hmac_copy ??=
        _dylib.lookupFunction<_c_mz_crypt_hmac_copy, _dart_mz_crypt_hmac_copy>(
            'mz_crypt_hmac_copy');
    return _mz_crypt_hmac_copy(
      src_handle,
      target_handle,
    );
  }

  _dart_mz_crypt_hmac_copy _mz_crypt_hmac_copy;

  void mz_crypt_hmac_set_algorithm(
    ffi.Pointer<ffi.Void> handle,
    int algorithm,
  ) {
    _mz_crypt_hmac_set_algorithm ??= _dylib.lookupFunction<
        _c_mz_crypt_hmac_set_algorithm,
        _dart_mz_crypt_hmac_set_algorithm>('mz_crypt_hmac_set_algorithm');
    return _mz_crypt_hmac_set_algorithm(
      handle,
      algorithm,
    );
  }

  _dart_mz_crypt_hmac_set_algorithm _mz_crypt_hmac_set_algorithm;

  ffi.Pointer<ffi.Void> mz_crypt_hmac_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_crypt_hmac_create ??= _dylib.lookupFunction<_c_mz_crypt_hmac_create,
        _dart_mz_crypt_hmac_create>('mz_crypt_hmac_create');
    return _mz_crypt_hmac_create(
      handle,
    );
  }

  _dart_mz_crypt_hmac_create _mz_crypt_hmac_create;

  void mz_crypt_hmac_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_crypt_hmac_delete ??= _dylib.lookupFunction<_c_mz_crypt_hmac_delete,
        _dart_mz_crypt_hmac_delete>('mz_crypt_hmac_delete');
    return _mz_crypt_hmac_delete(
      handle,
    );
  }

  _dart_mz_crypt_hmac_delete _mz_crypt_hmac_delete;

  int mz_crypt_sign(
    ffi.Pointer<ffi.Uint8> message,
    int message_size,
    ffi.Pointer<ffi.Uint8> cert_data,
    int cert_data_size,
    ffi.Pointer<ffi.Int8> cert_pwd,
    ffi.Pointer<ffi.Pointer<ffi.Uint8>> signature,
    ffi.Pointer<ffi.Int32> signature_size,
  ) {
    _mz_crypt_sign ??= _dylib
        .lookupFunction<_c_mz_crypt_sign, _dart_mz_crypt_sign>('mz_crypt_sign');
    return _mz_crypt_sign(
      message,
      message_size,
      cert_data,
      cert_data_size,
      cert_pwd,
      signature,
      signature_size,
    );
  }

  _dart_mz_crypt_sign _mz_crypt_sign;

  int mz_crypt_sign_verify(
    ffi.Pointer<ffi.Uint8> message,
    int message_size,
    ffi.Pointer<ffi.Uint8> signature,
    int signature_size,
  ) {
    _mz_crypt_sign_verify ??= _dylib.lookupFunction<_c_mz_crypt_sign_verify,
        _dart_mz_crypt_sign_verify>('mz_crypt_sign_verify');
    return _mz_crypt_sign_verify(
      message,
      message_size,
      signature,
      signature_size,
    );
  }

  _dart_mz_crypt_sign_verify _mz_crypt_sign_verify;

  int closedir(
    ffi.Pointer<DIR> arg0,
  ) {
    _closedir ??=
        _dylib.lookupFunction<_c_closedir, _dart_closedir>('closedir');
    return _closedir(
      arg0,
    );
  }

  _dart_closedir _closedir;

  ffi.Pointer<DIR> opendir(
    ffi.Pointer<ffi.Int8> arg0,
  ) {
    _opendir ??= _dylib.lookupFunction<_c_opendir, _dart_opendir>('opendir');
    return _opendir(
      arg0,
    );
  }

  _dart_opendir _opendir;

  ffi.Pointer<dirent> readdir(
    ffi.Pointer<DIR> arg0,
  ) {
    _readdir ??= _dylib.lookupFunction<_c_readdir, _dart_readdir>('readdir');
    return _readdir(
      arg0,
    );
  }

  _dart_readdir _readdir;

  int readdir_r(
    ffi.Pointer<DIR> arg0,
    ffi.Pointer<dirent> arg1,
    ffi.Pointer<ffi.Pointer<dirent>> arg2,
  ) {
    _readdir_r ??=
        _dylib.lookupFunction<_c_readdir_r, _dart_readdir_r>('readdir_r');
    return _readdir_r(
      arg0,
      arg1,
      arg2,
    );
  }

  _dart_readdir_r _readdir_r;

  void rewinddir(
    ffi.Pointer<DIR> arg0,
  ) {
    _rewinddir ??=
        _dylib.lookupFunction<_c_rewinddir, _dart_rewinddir>('rewinddir');
    return _rewinddir(
      arg0,
    );
  }

  _dart_rewinddir _rewinddir;

  void seekdir(
    ffi.Pointer<DIR> arg0,
    int arg1,
  ) {
    _seekdir ??= _dylib.lookupFunction<_c_seekdir, _dart_seekdir>('seekdir');
    return _seekdir(
      arg0,
      arg1,
    );
  }

  _dart_seekdir _seekdir;

  int telldir(
    ffi.Pointer<DIR> arg0,
  ) {
    _telldir ??= _dylib.lookupFunction<_c_telldir, _dart_telldir>('telldir');
    return _telldir(
      arg0,
    );
  }

  _dart_telldir _telldir;

  ffi.Pointer<DIR> fdopendir(
    int arg0,
  ) {
    _fdopendir ??=
        _dylib.lookupFunction<_c_fdopendir, _dart_fdopendir>('fdopendir');
    return _fdopendir(
      arg0,
    );
  }

  _dart_fdopendir _fdopendir;

  int alphasort(
    ffi.Pointer<ffi.Pointer<dirent>> arg0,
    ffi.Pointer<ffi.Pointer<dirent>> arg1,
  ) {
    _alphasort ??=
        _dylib.lookupFunction<_c_alphasort, _dart_alphasort>('alphasort');
    return _alphasort(
      arg0,
      arg1,
    );
  }

  _dart_alphasort _alphasort;

  int dirfd(
    ffi.Pointer<DIR> dirp,
  ) {
    _dirfd ??= _dylib.lookupFunction<_c_dirfd, _dart_dirfd>('dirfd');
    return _dirfd(
      dirp,
    );
  }

  _dart_dirfd _dirfd;

  int scandir(
    ffi.Pointer<ffi.Int8> arg0,
    ffi.Pointer<ffi.Pointer<ffi.Pointer<dirent>>> arg1,
    ffi.Pointer<ffi.NativeFunction<_typedefC_2>> arg2,
    ffi.Pointer<ffi.NativeFunction<_typedefC_3>> arg3,
  ) {
    _scandir ??= _dylib.lookupFunction<_c_scandir, _dart_scandir>('scandir');
    return _scandir(
      arg0,
      arg1,
      arg2,
      arg3,
    );
  }

  _dart_scandir _scandir;

  int getdirentries(
    int arg0,
    ffi.Pointer<ffi.Int8> arg1,
    int arg2,
    ffi.Pointer<ffi.Int64> arg3,
  ) {
    _getdirentries ??= _dylib
        .lookupFunction<_c_getdirentries, _dart_getdirentries>('getdirentries');
    return _getdirentries(
      arg0,
      arg1,
      arg2,
      arg3,
    );
  }

  _dart_getdirentries _getdirentries;

  ffi.Pointer<DIR> __opendir2(
    ffi.Pointer<ffi.Int8> arg0,
    int arg1,
  ) {
    ___opendir2 ??=
        _dylib.lookupFunction<_c___opendir2, _dart___opendir2>('__opendir2');
    return ___opendir2(
      arg0,
      arg1,
    );
  }

  _dart___opendir2 ___opendir2;

  /// ************************************************************************
  int mz_path_combine(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int8> join,
    int max_path,
  ) {
    _mz_path_combine ??=
        _dylib.lookupFunction<_c_mz_path_combine, _dart_mz_path_combine>(
            'mz_path_combine');
    return _mz_path_combine(
      path,
      join,
      max_path,
    );
  }

  _dart_mz_path_combine _mz_path_combine;

  int mz_path_append_slash(
    ffi.Pointer<ffi.Int8> path,
    int max_path,
    int slash,
  ) {
    _mz_path_append_slash ??= _dylib.lookupFunction<_c_mz_path_append_slash,
        _dart_mz_path_append_slash>('mz_path_append_slash');
    return _mz_path_append_slash(
      path,
      max_path,
      slash,
    );
  }

  _dart_mz_path_append_slash _mz_path_append_slash;

  int mz_path_remove_slash(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_path_remove_slash ??= _dylib.lookupFunction<_c_mz_path_remove_slash,
        _dart_mz_path_remove_slash>('mz_path_remove_slash');
    return _mz_path_remove_slash(
      path,
    );
  }

  _dart_mz_path_remove_slash _mz_path_remove_slash;

  int mz_path_has_slash(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_path_has_slash ??=
        _dylib.lookupFunction<_c_mz_path_has_slash, _dart_mz_path_has_slash>(
            'mz_path_has_slash');
    return _mz_path_has_slash(
      path,
    );
  }

  _dart_mz_path_has_slash _mz_path_has_slash;

  int mz_path_convert_slashes(
    ffi.Pointer<ffi.Int8> path,
    int slash,
  ) {
    _mz_path_convert_slashes ??= _dylib.lookupFunction<
        _c_mz_path_convert_slashes,
        _dart_mz_path_convert_slashes>('mz_path_convert_slashes');
    return _mz_path_convert_slashes(
      path,
      slash,
    );
  }

  _dart_mz_path_convert_slashes _mz_path_convert_slashes;

  int mz_path_compare_wc(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int8> wildcard,
    int ignore_case,
  ) {
    _mz_path_compare_wc ??=
        _dylib.lookupFunction<_c_mz_path_compare_wc, _dart_mz_path_compare_wc>(
            'mz_path_compare_wc');
    return _mz_path_compare_wc(
      path,
      wildcard,
      ignore_case,
    );
  }

  _dart_mz_path_compare_wc _mz_path_compare_wc;

  int mz_path_resolve(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int8> target,
    int max_target,
  ) {
    _mz_path_resolve ??=
        _dylib.lookupFunction<_c_mz_path_resolve, _dart_mz_path_resolve>(
            'mz_path_resolve');
    return _mz_path_resolve(
      path,
      target,
      max_target,
    );
  }

  _dart_mz_path_resolve _mz_path_resolve;

  int mz_path_remove_filename(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_path_remove_filename ??= _dylib.lookupFunction<
        _c_mz_path_remove_filename,
        _dart_mz_path_remove_filename>('mz_path_remove_filename');
    return _mz_path_remove_filename(
      path,
    );
  }

  _dart_mz_path_remove_filename _mz_path_remove_filename;

  int mz_path_remove_extension(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_path_remove_extension ??= _dylib.lookupFunction<
        _c_mz_path_remove_extension,
        _dart_mz_path_remove_extension>('mz_path_remove_extension');
    return _mz_path_remove_extension(
      path,
    );
  }

  _dart_mz_path_remove_extension _mz_path_remove_extension;

  int mz_path_get_filename(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Pointer<ffi.Int8>> filename,
  ) {
    _mz_path_get_filename ??= _dylib.lookupFunction<_c_mz_path_get_filename,
        _dart_mz_path_get_filename>('mz_path_get_filename');
    return _mz_path_get_filename(
      path,
      filename,
    );
  }

  _dart_mz_path_get_filename _mz_path_get_filename;

  int mz_dir_make(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_dir_make ??=
        _dylib.lookupFunction<_c_mz_dir_make, _dart_mz_dir_make>('mz_dir_make');
    return _mz_dir_make(
      path,
    );
  }

  _dart_mz_dir_make _mz_dir_make;

  int mz_file_get_crc(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Uint32> result_crc,
  ) {
    _mz_file_get_crc ??=
        _dylib.lookupFunction<_c_mz_file_get_crc, _dart_mz_file_get_crc>(
            'mz_file_get_crc');
    return _mz_file_get_crc(
      path,
      result_crc,
    );
  }

  _dart_mz_file_get_crc _mz_file_get_crc;

  /// ************************************************************************
  ffi.Pointer<ffi.Int32> mz_os_unicode_string_create(
    ffi.Pointer<ffi.Int8> string,
    int encoding,
  ) {
    _mz_os_unicode_string_create ??= _dylib.lookupFunction<
        _c_mz_os_unicode_string_create,
        _dart_mz_os_unicode_string_create>('mz_os_unicode_string_create');
    return _mz_os_unicode_string_create(
      string,
      encoding,
    );
  }

  _dart_mz_os_unicode_string_create _mz_os_unicode_string_create;

  void mz_os_unicode_string_delete(
    ffi.Pointer<ffi.Pointer<ffi.Int32>> string,
  ) {
    _mz_os_unicode_string_delete ??= _dylib.lookupFunction<
        _c_mz_os_unicode_string_delete,
        _dart_mz_os_unicode_string_delete>('mz_os_unicode_string_delete');
    return _mz_os_unicode_string_delete(
      string,
    );
  }

  _dart_mz_os_unicode_string_delete _mz_os_unicode_string_delete;

  ffi.Pointer<ffi.Uint8> mz_os_utf8_string_create(
    ffi.Pointer<ffi.Int8> string,
    int encoding,
  ) {
    _mz_os_utf8_string_create ??= _dylib.lookupFunction<
        _c_mz_os_utf8_string_create,
        _dart_mz_os_utf8_string_create>('mz_os_utf8_string_create');
    return _mz_os_utf8_string_create(
      string,
      encoding,
    );
  }

  _dart_mz_os_utf8_string_create _mz_os_utf8_string_create;

  void mz_os_utf8_string_delete(
    ffi.Pointer<ffi.Pointer<ffi.Uint8>> string,
  ) {
    _mz_os_utf8_string_delete ??= _dylib.lookupFunction<
        _c_mz_os_utf8_string_delete,
        _dart_mz_os_utf8_string_delete>('mz_os_utf8_string_delete');
    return _mz_os_utf8_string_delete(
      string,
    );
  }

  _dart_mz_os_utf8_string_delete _mz_os_utf8_string_delete;

  int mz_os_rand(
    ffi.Pointer<ffi.Uint8> buf,
    int size,
  ) {
    _mz_os_rand ??=
        _dylib.lookupFunction<_c_mz_os_rand, _dart_mz_os_rand>('mz_os_rand');
    return _mz_os_rand(
      buf,
      size,
    );
  }

  _dart_mz_os_rand _mz_os_rand;

  int mz_os_rename(
    ffi.Pointer<ffi.Int8> source_path,
    ffi.Pointer<ffi.Int8> target_path,
  ) {
    _mz_os_rename ??= _dylib
        .lookupFunction<_c_mz_os_rename, _dart_mz_os_rename>('mz_os_rename');
    return _mz_os_rename(
      source_path,
      target_path,
    );
  }

  _dart_mz_os_rename _mz_os_rename;

  int mz_os_unlink(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_os_unlink ??= _dylib
        .lookupFunction<_c_mz_os_unlink, _dart_mz_os_unlink>('mz_os_unlink');
    return _mz_os_unlink(
      path,
    );
  }

  _dart_mz_os_unlink _mz_os_unlink;

  int mz_os_file_exists(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_os_file_exists ??=
        _dylib.lookupFunction<_c_mz_os_file_exists, _dart_mz_os_file_exists>(
            'mz_os_file_exists');
    return _mz_os_file_exists(
      path,
    );
  }

  _dart_mz_os_file_exists _mz_os_file_exists;

  int mz_os_get_file_size(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_os_get_file_size ??= _dylib.lookupFunction<_c_mz_os_get_file_size,
        _dart_mz_os_get_file_size>('mz_os_get_file_size');
    return _mz_os_get_file_size(
      path,
    );
  }

  _dart_mz_os_get_file_size _mz_os_get_file_size;

  int mz_os_get_file_date(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int64> modified_date,
    ffi.Pointer<ffi.Int64> accessed_date,
    ffi.Pointer<ffi.Int64> creation_date,
  ) {
    _mz_os_get_file_date ??= _dylib.lookupFunction<_c_mz_os_get_file_date,
        _dart_mz_os_get_file_date>('mz_os_get_file_date');
    return _mz_os_get_file_date(
      path,
      modified_date,
      accessed_date,
      creation_date,
    );
  }

  _dart_mz_os_get_file_date _mz_os_get_file_date;

  int mz_os_set_file_date(
    ffi.Pointer<ffi.Int8> path,
    int modified_date,
    int accessed_date,
    int creation_date,
  ) {
    _mz_os_set_file_date ??= _dylib.lookupFunction<_c_mz_os_set_file_date,
        _dart_mz_os_set_file_date>('mz_os_set_file_date');
    return _mz_os_set_file_date(
      path,
      modified_date,
      accessed_date,
      creation_date,
    );
  }

  _dart_mz_os_set_file_date _mz_os_set_file_date;

  int mz_os_get_file_attribs(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Uint32> attributes,
  ) {
    _mz_os_get_file_attribs ??= _dylib.lookupFunction<_c_mz_os_get_file_attribs,
        _dart_mz_os_get_file_attribs>('mz_os_get_file_attribs');
    return _mz_os_get_file_attribs(
      path,
      attributes,
    );
  }

  _dart_mz_os_get_file_attribs _mz_os_get_file_attribs;

  int mz_os_set_file_attribs(
    ffi.Pointer<ffi.Int8> path,
    int attributes,
  ) {
    _mz_os_set_file_attribs ??= _dylib.lookupFunction<_c_mz_os_set_file_attribs,
        _dart_mz_os_set_file_attribs>('mz_os_set_file_attribs');
    return _mz_os_set_file_attribs(
      path,
      attributes,
    );
  }

  _dart_mz_os_set_file_attribs _mz_os_set_file_attribs;

  int mz_os_make_dir(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_os_make_dir ??=
        _dylib.lookupFunction<_c_mz_os_make_dir, _dart_mz_os_make_dir>(
            'mz_os_make_dir');
    return _mz_os_make_dir(
      path,
    );
  }

  _dart_mz_os_make_dir _mz_os_make_dir;

  ffi.Pointer<DIR> mz_os_open_dir(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_os_open_dir ??=
        _dylib.lookupFunction<_c_mz_os_open_dir, _dart_mz_os_open_dir>(
            'mz_os_open_dir');
    return _mz_os_open_dir(
      path,
    );
  }

  _dart_mz_os_open_dir _mz_os_open_dir;

  ffi.Pointer<dirent> mz_os_read_dir(
    ffi.Pointer<DIR> dir,
  ) {
    _mz_os_read_dir ??=
        _dylib.lookupFunction<_c_mz_os_read_dir, _dart_mz_os_read_dir>(
            'mz_os_read_dir');
    return _mz_os_read_dir(
      dir,
    );
  }

  _dart_mz_os_read_dir _mz_os_read_dir;

  int mz_os_close_dir(
    ffi.Pointer<DIR> dir,
  ) {
    _mz_os_close_dir ??=
        _dylib.lookupFunction<_c_mz_os_close_dir, _dart_mz_os_close_dir>(
            'mz_os_close_dir');
    return _mz_os_close_dir(
      dir,
    );
  }

  _dart_mz_os_close_dir _mz_os_close_dir;

  int mz_os_is_dir(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_os_is_dir ??= _dylib
        .lookupFunction<_c_mz_os_is_dir, _dart_mz_os_is_dir>('mz_os_is_dir');
    return _mz_os_is_dir(
      path,
    );
  }

  _dart_mz_os_is_dir _mz_os_is_dir;

  int mz_os_is_symlink(
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_os_is_symlink ??=
        _dylib.lookupFunction<_c_mz_os_is_symlink, _dart_mz_os_is_symlink>(
            'mz_os_is_symlink');
    return _mz_os_is_symlink(
      path,
    );
  }

  _dart_mz_os_is_symlink _mz_os_is_symlink;

  int mz_os_make_symlink(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int8> target_path,
  ) {
    _mz_os_make_symlink ??=
        _dylib.lookupFunction<_c_mz_os_make_symlink, _dart_mz_os_make_symlink>(
            'mz_os_make_symlink');
    return _mz_os_make_symlink(
      path,
      target_path,
    );
  }

  _dart_mz_os_make_symlink _mz_os_make_symlink;

  int mz_os_read_symlink(
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int8> target_path,
    int max_target_path,
  ) {
    _mz_os_read_symlink ??=
        _dylib.lookupFunction<_c_mz_os_read_symlink, _dart_mz_os_read_symlink>(
            'mz_os_read_symlink');
    return _mz_os_read_symlink(
      path,
      target_path,
      max_target_path,
    );
  }

  _dart_mz_os_read_symlink _mz_os_read_symlink;

  int mz_os_ms_time() {
    _mz_os_ms_time ??= _dylib
        .lookupFunction<_c_mz_os_ms_time, _dart_mz_os_ms_time>('mz_os_ms_time');
    return _mz_os_ms_time();
  }

  _dart_mz_os_ms_time _mz_os_ms_time;

  /// ************************************************************************
  int mz_stream_open(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int8> path,
    int mode,
  ) {
    _mz_stream_open ??=
        _dylib.lookupFunction<_c_mz_stream_open, _dart_mz_stream_open>(
            'mz_stream_open');
    return _mz_stream_open(
      stream,
      path,
      mode,
    );
  }

  _dart_mz_stream_open _mz_stream_open;

  int mz_stream_is_open(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_is_open ??=
        _dylib.lookupFunction<_c_mz_stream_is_open, _dart_mz_stream_is_open>(
            'mz_stream_is_open');
    return _mz_stream_is_open(
      stream,
    );
  }

  _dart_mz_stream_is_open _mz_stream_is_open;

  int mz_stream_read(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_read ??=
        _dylib.lookupFunction<_c_mz_stream_read, _dart_mz_stream_read>(
            'mz_stream_read');
    return _mz_stream_read(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_read _mz_stream_read;

  int mz_stream_read_uint8(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Uint8> value,
  ) {
    _mz_stream_read_uint8 ??= _dylib.lookupFunction<_c_mz_stream_read_uint8,
        _dart_mz_stream_read_uint8>('mz_stream_read_uint8');
    return _mz_stream_read_uint8(
      stream,
      value,
    );
  }

  _dart_mz_stream_read_uint8 _mz_stream_read_uint8;

  int mz_stream_read_uint16(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Uint16> value,
  ) {
    _mz_stream_read_uint16 ??= _dylib.lookupFunction<_c_mz_stream_read_uint16,
        _dart_mz_stream_read_uint16>('mz_stream_read_uint16');
    return _mz_stream_read_uint16(
      stream,
      value,
    );
  }

  _dart_mz_stream_read_uint16 _mz_stream_read_uint16;

  int mz_stream_read_uint32(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Uint32> value,
  ) {
    _mz_stream_read_uint32 ??= _dylib.lookupFunction<_c_mz_stream_read_uint32,
        _dart_mz_stream_read_uint32>('mz_stream_read_uint32');
    return _mz_stream_read_uint32(
      stream,
      value,
    );
  }

  _dart_mz_stream_read_uint32 _mz_stream_read_uint32;

  int mz_stream_read_int64(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int64> value,
  ) {
    _mz_stream_read_int64 ??= _dylib.lookupFunction<_c_mz_stream_read_int64,
        _dart_mz_stream_read_int64>('mz_stream_read_int64');
    return _mz_stream_read_int64(
      stream,
      value,
    );
  }

  _dart_mz_stream_read_int64 _mz_stream_read_int64;

  int mz_stream_read_uint64(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Uint64> value,
  ) {
    _mz_stream_read_uint64 ??= _dylib.lookupFunction<_c_mz_stream_read_uint64,
        _dart_mz_stream_read_uint64>('mz_stream_read_uint64');
    return _mz_stream_read_uint64(
      stream,
      value,
    );
  }

  _dart_mz_stream_read_uint64 _mz_stream_read_uint64;

  int mz_stream_write(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_write ??=
        _dylib.lookupFunction<_c_mz_stream_write, _dart_mz_stream_write>(
            'mz_stream_write');
    return _mz_stream_write(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_write _mz_stream_write;

  int mz_stream_write_uint8(
    ffi.Pointer<ffi.Void> stream,
    int value,
  ) {
    _mz_stream_write_uint8 ??= _dylib.lookupFunction<_c_mz_stream_write_uint8,
        _dart_mz_stream_write_uint8>('mz_stream_write_uint8');
    return _mz_stream_write_uint8(
      stream,
      value,
    );
  }

  _dart_mz_stream_write_uint8 _mz_stream_write_uint8;

  int mz_stream_write_uint16(
    ffi.Pointer<ffi.Void> stream,
    int value,
  ) {
    _mz_stream_write_uint16 ??= _dylib.lookupFunction<_c_mz_stream_write_uint16,
        _dart_mz_stream_write_uint16>('mz_stream_write_uint16');
    return _mz_stream_write_uint16(
      stream,
      value,
    );
  }

  _dart_mz_stream_write_uint16 _mz_stream_write_uint16;

  int mz_stream_write_uint32(
    ffi.Pointer<ffi.Void> stream,
    int value,
  ) {
    _mz_stream_write_uint32 ??= _dylib.lookupFunction<_c_mz_stream_write_uint32,
        _dart_mz_stream_write_uint32>('mz_stream_write_uint32');
    return _mz_stream_write_uint32(
      stream,
      value,
    );
  }

  _dart_mz_stream_write_uint32 _mz_stream_write_uint32;

  int mz_stream_write_int64(
    ffi.Pointer<ffi.Void> stream,
    int value,
  ) {
    _mz_stream_write_int64 ??= _dylib.lookupFunction<_c_mz_stream_write_int64,
        _dart_mz_stream_write_int64>('mz_stream_write_int64');
    return _mz_stream_write_int64(
      stream,
      value,
    );
  }

  _dart_mz_stream_write_int64 _mz_stream_write_int64;

  int mz_stream_write_uint64(
    ffi.Pointer<ffi.Void> stream,
    int value,
  ) {
    _mz_stream_write_uint64 ??= _dylib.lookupFunction<_c_mz_stream_write_uint64,
        _dart_mz_stream_write_uint64>('mz_stream_write_uint64');
    return _mz_stream_write_uint64(
      stream,
      value,
    );
  }

  _dart_mz_stream_write_uint64 _mz_stream_write_uint64;

  int mz_stream_copy(
    ffi.Pointer<ffi.Void> target,
    ffi.Pointer<ffi.Void> source,
    int len,
  ) {
    _mz_stream_copy ??=
        _dylib.lookupFunction<_c_mz_stream_copy, _dart_mz_stream_copy>(
            'mz_stream_copy');
    return _mz_stream_copy(
      target,
      source,
      len,
    );
  }

  _dart_mz_stream_copy _mz_stream_copy;

  int mz_stream_copy_to_end(
    ffi.Pointer<ffi.Void> target,
    ffi.Pointer<ffi.Void> source,
  ) {
    _mz_stream_copy_to_end ??= _dylib.lookupFunction<_c_mz_stream_copy_to_end,
        _dart_mz_stream_copy_to_end>('mz_stream_copy_to_end');
    return _mz_stream_copy_to_end(
      target,
      source,
    );
  }

  _dart_mz_stream_copy_to_end _mz_stream_copy_to_end;

  int mz_stream_copy_stream(
    ffi.Pointer<ffi.Void> target,
    ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_3>> write_cb,
    ffi.Pointer<ffi.Void> source,
    ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_3>> read_cb,
    int len,
  ) {
    _mz_stream_copy_stream ??= _dylib.lookupFunction<_c_mz_stream_copy_stream,
        _dart_mz_stream_copy_stream>('mz_stream_copy_stream');
    return _mz_stream_copy_stream(
      target,
      write_cb,
      source,
      read_cb,
      len,
    );
  }

  _dart_mz_stream_copy_stream _mz_stream_copy_stream;

  int mz_stream_copy_stream_to_end(
    ffi.Pointer<ffi.Void> target,
    ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_4>> write_cb,
    ffi.Pointer<ffi.Void> source,
    ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_4>> read_cb,
  ) {
    _mz_stream_copy_stream_to_end ??= _dylib.lookupFunction<
        _c_mz_stream_copy_stream_to_end,
        _dart_mz_stream_copy_stream_to_end>('mz_stream_copy_stream_to_end');
    return _mz_stream_copy_stream_to_end(
      target,
      write_cb,
      source,
      read_cb,
    );
  }

  _dart_mz_stream_copy_stream_to_end _mz_stream_copy_stream_to_end;

  int mz_stream_tell(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_tell ??=
        _dylib.lookupFunction<_c_mz_stream_tell, _dart_mz_stream_tell>(
            'mz_stream_tell');
    return _mz_stream_tell(
      stream,
    );
  }

  _dart_mz_stream_tell _mz_stream_tell;

  int mz_stream_seek(
    ffi.Pointer<ffi.Void> stream,
    int offset,
    int origin,
  ) {
    _mz_stream_seek ??=
        _dylib.lookupFunction<_c_mz_stream_seek, _dart_mz_stream_seek>(
            'mz_stream_seek');
    return _mz_stream_seek(
      stream,
      offset,
      origin,
    );
  }

  _dart_mz_stream_seek _mz_stream_seek;

  int mz_stream_find(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> find,
    int find_size,
    int max_seek,
    ffi.Pointer<ffi.Int64> position,
  ) {
    _mz_stream_find ??=
        _dylib.lookupFunction<_c_mz_stream_find, _dart_mz_stream_find>(
            'mz_stream_find');
    return _mz_stream_find(
      stream,
      find,
      find_size,
      max_seek,
      position,
    );
  }

  _dart_mz_stream_find _mz_stream_find;

  int mz_stream_find_reverse(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> find,
    int find_size,
    int max_seek,
    ffi.Pointer<ffi.Int64> position,
  ) {
    _mz_stream_find_reverse ??= _dylib.lookupFunction<_c_mz_stream_find_reverse,
        _dart_mz_stream_find_reverse>('mz_stream_find_reverse');
    return _mz_stream_find_reverse(
      stream,
      find,
      find_size,
      max_seek,
      position,
    );
  }

  _dart_mz_stream_find_reverse _mz_stream_find_reverse;

  int mz_stream_close(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_close ??=
        _dylib.lookupFunction<_c_mz_stream_close, _dart_mz_stream_close>(
            'mz_stream_close');
    return _mz_stream_close(
      stream,
    );
  }

  _dart_mz_stream_close _mz_stream_close;

  int mz_stream_error(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_error ??=
        _dylib.lookupFunction<_c_mz_stream_error, _dart_mz_stream_error>(
            'mz_stream_error');
    return _mz_stream_error(
      stream,
    );
  }

  _dart_mz_stream_error _mz_stream_error;

  int mz_stream_set_base(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> base,
  ) {
    _mz_stream_set_base ??=
        _dylib.lookupFunction<_c_mz_stream_set_base, _dart_mz_stream_set_base>(
            'mz_stream_set_base');
    return _mz_stream_set_base(
      stream,
      base,
    );
  }

  _dart_mz_stream_set_base _mz_stream_set_base;

  ffi.Pointer<ffi.Void> mz_stream_get_interface(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_get_interface ??= _dylib.lookupFunction<
        _c_mz_stream_get_interface,
        _dart_mz_stream_get_interface>('mz_stream_get_interface');
    return _mz_stream_get_interface(
      stream,
    );
  }

  _dart_mz_stream_get_interface _mz_stream_get_interface;

  int mz_stream_get_prop_int64(
    ffi.Pointer<ffi.Void> stream,
    int prop,
    ffi.Pointer<ffi.Int64> value,
  ) {
    _mz_stream_get_prop_int64 ??= _dylib.lookupFunction<
        _c_mz_stream_get_prop_int64,
        _dart_mz_stream_get_prop_int64>('mz_stream_get_prop_int64');
    return _mz_stream_get_prop_int64(
      stream,
      prop,
      value,
    );
  }

  _dart_mz_stream_get_prop_int64 _mz_stream_get_prop_int64;

  int mz_stream_set_prop_int64(
    ffi.Pointer<ffi.Void> stream,
    int prop,
    int value,
  ) {
    _mz_stream_set_prop_int64 ??= _dylib.lookupFunction<
        _c_mz_stream_set_prop_int64,
        _dart_mz_stream_set_prop_int64>('mz_stream_set_prop_int64');
    return _mz_stream_set_prop_int64(
      stream,
      prop,
      value,
    );
  }

  _dart_mz_stream_set_prop_int64 _mz_stream_set_prop_int64;

  ffi.Pointer<ffi.Void> mz_stream_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
    ffi.Pointer<mz_stream_vtbl_s> vtbl,
  ) {
    _mz_stream_create ??=
        _dylib.lookupFunction<_c_mz_stream_create, _dart_mz_stream_create>(
            'mz_stream_create');
    return _mz_stream_create(
      stream,
      vtbl,
    );
  }

  _dart_mz_stream_create _mz_stream_create;

  void mz_stream_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_delete ??=
        _dylib.lookupFunction<_c_mz_stream_delete, _dart_mz_stream_delete>(
            'mz_stream_delete');
    return _mz_stream_delete(
      stream,
    );
  }

  _dart_mz_stream_delete _mz_stream_delete;

  /// ************************************************************************
  int mz_stream_raw_open(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int8> filename,
    int mode,
  ) {
    _mz_stream_raw_open ??=
        _dylib.lookupFunction<_c_mz_stream_raw_open, _dart_mz_stream_raw_open>(
            'mz_stream_raw_open');
    return _mz_stream_raw_open(
      stream,
      filename,
      mode,
    );
  }

  _dart_mz_stream_raw_open _mz_stream_raw_open;

  int mz_stream_raw_is_open(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_raw_is_open ??= _dylib.lookupFunction<_c_mz_stream_raw_is_open,
        _dart_mz_stream_raw_is_open>('mz_stream_raw_is_open');
    return _mz_stream_raw_is_open(
      stream,
    );
  }

  _dart_mz_stream_raw_is_open _mz_stream_raw_is_open;

  int mz_stream_raw_read(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_raw_read ??=
        _dylib.lookupFunction<_c_mz_stream_raw_read, _dart_mz_stream_raw_read>(
            'mz_stream_raw_read');
    return _mz_stream_raw_read(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_raw_read _mz_stream_raw_read;

  int mz_stream_raw_write(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_raw_write ??= _dylib.lookupFunction<_c_mz_stream_raw_write,
        _dart_mz_stream_raw_write>('mz_stream_raw_write');
    return _mz_stream_raw_write(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_raw_write _mz_stream_raw_write;

  int mz_stream_raw_tell(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_raw_tell ??=
        _dylib.lookupFunction<_c_mz_stream_raw_tell, _dart_mz_stream_raw_tell>(
            'mz_stream_raw_tell');
    return _mz_stream_raw_tell(
      stream,
    );
  }

  _dart_mz_stream_raw_tell _mz_stream_raw_tell;

  int mz_stream_raw_seek(
    ffi.Pointer<ffi.Void> stream,
    int offset,
    int origin,
  ) {
    _mz_stream_raw_seek ??=
        _dylib.lookupFunction<_c_mz_stream_raw_seek, _dart_mz_stream_raw_seek>(
            'mz_stream_raw_seek');
    return _mz_stream_raw_seek(
      stream,
      offset,
      origin,
    );
  }

  _dart_mz_stream_raw_seek _mz_stream_raw_seek;

  int mz_stream_raw_close(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_raw_close ??= _dylib.lookupFunction<_c_mz_stream_raw_close,
        _dart_mz_stream_raw_close>('mz_stream_raw_close');
    return _mz_stream_raw_close(
      stream,
    );
  }

  _dart_mz_stream_raw_close _mz_stream_raw_close;

  int mz_stream_raw_error(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_raw_error ??= _dylib.lookupFunction<_c_mz_stream_raw_error,
        _dart_mz_stream_raw_error>('mz_stream_raw_error');
    return _mz_stream_raw_error(
      stream,
    );
  }

  _dart_mz_stream_raw_error _mz_stream_raw_error;

  int mz_stream_raw_get_prop_int64(
    ffi.Pointer<ffi.Void> stream,
    int prop,
    ffi.Pointer<ffi.Int64> value,
  ) {
    _mz_stream_raw_get_prop_int64 ??= _dylib.lookupFunction<
        _c_mz_stream_raw_get_prop_int64,
        _dart_mz_stream_raw_get_prop_int64>('mz_stream_raw_get_prop_int64');
    return _mz_stream_raw_get_prop_int64(
      stream,
      prop,
      value,
    );
  }

  _dart_mz_stream_raw_get_prop_int64 _mz_stream_raw_get_prop_int64;

  int mz_stream_raw_set_prop_int64(
    ffi.Pointer<ffi.Void> stream,
    int prop,
    int value,
  ) {
    _mz_stream_raw_set_prop_int64 ??= _dylib.lookupFunction<
        _c_mz_stream_raw_set_prop_int64,
        _dart_mz_stream_raw_set_prop_int64>('mz_stream_raw_set_prop_int64');
    return _mz_stream_raw_set_prop_int64(
      stream,
      prop,
      value,
    );
  }

  _dart_mz_stream_raw_set_prop_int64 _mz_stream_raw_set_prop_int64;

  ffi.Pointer<ffi.Void> mz_stream_raw_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_raw_create ??= _dylib.lookupFunction<_c_mz_stream_raw_create,
        _dart_mz_stream_raw_create>('mz_stream_raw_create');
    return _mz_stream_raw_create(
      stream,
    );
  }

  _dart_mz_stream_raw_create _mz_stream_raw_create;

  void mz_stream_raw_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_raw_delete ??= _dylib.lookupFunction<_c_mz_stream_raw_delete,
        _dart_mz_stream_raw_delete>('mz_stream_raw_delete');
    return _mz_stream_raw_delete(
      stream,
    );
  }

  _dart_mz_stream_raw_delete _mz_stream_raw_delete;

  /// ************************************************************************
  int mz_stream_buffered_open(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int8> path,
    int mode,
  ) {
    _mz_stream_buffered_open ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_open,
        _dart_mz_stream_buffered_open>('mz_stream_buffered_open');
    return _mz_stream_buffered_open(
      stream,
      path,
      mode,
    );
  }

  _dart_mz_stream_buffered_open _mz_stream_buffered_open;

  int mz_stream_buffered_is_open(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_buffered_is_open ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_is_open,
        _dart_mz_stream_buffered_is_open>('mz_stream_buffered_is_open');
    return _mz_stream_buffered_is_open(
      stream,
    );
  }

  _dart_mz_stream_buffered_is_open _mz_stream_buffered_is_open;

  int mz_stream_buffered_read(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_buffered_read ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_read,
        _dart_mz_stream_buffered_read>('mz_stream_buffered_read');
    return _mz_stream_buffered_read(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_buffered_read _mz_stream_buffered_read;

  int mz_stream_buffered_write(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_buffered_write ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_write,
        _dart_mz_stream_buffered_write>('mz_stream_buffered_write');
    return _mz_stream_buffered_write(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_buffered_write _mz_stream_buffered_write;

  int mz_stream_buffered_tell(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_buffered_tell ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_tell,
        _dart_mz_stream_buffered_tell>('mz_stream_buffered_tell');
    return _mz_stream_buffered_tell(
      stream,
    );
  }

  _dart_mz_stream_buffered_tell _mz_stream_buffered_tell;

  int mz_stream_buffered_seek(
    ffi.Pointer<ffi.Void> stream,
    int offset,
    int origin,
  ) {
    _mz_stream_buffered_seek ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_seek,
        _dart_mz_stream_buffered_seek>('mz_stream_buffered_seek');
    return _mz_stream_buffered_seek(
      stream,
      offset,
      origin,
    );
  }

  _dart_mz_stream_buffered_seek _mz_stream_buffered_seek;

  int mz_stream_buffered_close(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_buffered_close ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_close,
        _dart_mz_stream_buffered_close>('mz_stream_buffered_close');
    return _mz_stream_buffered_close(
      stream,
    );
  }

  _dart_mz_stream_buffered_close _mz_stream_buffered_close;

  int mz_stream_buffered_error(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_buffered_error ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_error,
        _dart_mz_stream_buffered_error>('mz_stream_buffered_error');
    return _mz_stream_buffered_error(
      stream,
    );
  }

  _dart_mz_stream_buffered_error _mz_stream_buffered_error;

  ffi.Pointer<ffi.Void> mz_stream_buffered_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_buffered_create ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_create,
        _dart_mz_stream_buffered_create>('mz_stream_buffered_create');
    return _mz_stream_buffered_create(
      stream,
    );
  }

  _dart_mz_stream_buffered_create _mz_stream_buffered_create;

  void mz_stream_buffered_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_buffered_delete ??= _dylib.lookupFunction<
        _c_mz_stream_buffered_delete,
        _dart_mz_stream_buffered_delete>('mz_stream_buffered_delete');
    return _mz_stream_buffered_delete(
      stream,
    );
  }

  _dart_mz_stream_buffered_delete _mz_stream_buffered_delete;

  ffi.Pointer<ffi.Void> mz_stream_buffered_get_interface() {
    _mz_stream_buffered_get_interface ??= _dylib.lookupFunction<
            _c_mz_stream_buffered_get_interface,
            _dart_mz_stream_buffered_get_interface>(
        'mz_stream_buffered_get_interface');
    return _mz_stream_buffered_get_interface();
  }

  _dart_mz_stream_buffered_get_interface _mz_stream_buffered_get_interface;

  /// ************************************************************************
  int mz_stream_mem_open(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int8> filename,
    int mode,
  ) {
    _mz_stream_mem_open ??=
        _dylib.lookupFunction<_c_mz_stream_mem_open, _dart_mz_stream_mem_open>(
            'mz_stream_mem_open');
    return _mz_stream_mem_open(
      stream,
      filename,
      mode,
    );
  }

  _dart_mz_stream_mem_open _mz_stream_mem_open;

  int mz_stream_mem_is_open(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_mem_is_open ??= _dylib.lookupFunction<_c_mz_stream_mem_is_open,
        _dart_mz_stream_mem_is_open>('mz_stream_mem_is_open');
    return _mz_stream_mem_is_open(
      stream,
    );
  }

  _dart_mz_stream_mem_is_open _mz_stream_mem_is_open;

  int mz_stream_mem_read(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_mem_read ??=
        _dylib.lookupFunction<_c_mz_stream_mem_read, _dart_mz_stream_mem_read>(
            'mz_stream_mem_read');
    return _mz_stream_mem_read(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_mem_read _mz_stream_mem_read;

  int mz_stream_mem_write(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_mem_write ??= _dylib.lookupFunction<_c_mz_stream_mem_write,
        _dart_mz_stream_mem_write>('mz_stream_mem_write');
    return _mz_stream_mem_write(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_mem_write _mz_stream_mem_write;

  int mz_stream_mem_tell(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_mem_tell ??=
        _dylib.lookupFunction<_c_mz_stream_mem_tell, _dart_mz_stream_mem_tell>(
            'mz_stream_mem_tell');
    return _mz_stream_mem_tell(
      stream,
    );
  }

  _dart_mz_stream_mem_tell _mz_stream_mem_tell;

  int mz_stream_mem_seek(
    ffi.Pointer<ffi.Void> stream,
    int offset,
    int origin,
  ) {
    _mz_stream_mem_seek ??=
        _dylib.lookupFunction<_c_mz_stream_mem_seek, _dart_mz_stream_mem_seek>(
            'mz_stream_mem_seek');
    return _mz_stream_mem_seek(
      stream,
      offset,
      origin,
    );
  }

  _dart_mz_stream_mem_seek _mz_stream_mem_seek;

  int mz_stream_mem_close(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_mem_close ??= _dylib.lookupFunction<_c_mz_stream_mem_close,
        _dart_mz_stream_mem_close>('mz_stream_mem_close');
    return _mz_stream_mem_close(
      stream,
    );
  }

  _dart_mz_stream_mem_close _mz_stream_mem_close;

  int mz_stream_mem_error(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_mem_error ??= _dylib.lookupFunction<_c_mz_stream_mem_error,
        _dart_mz_stream_mem_error>('mz_stream_mem_error');
    return _mz_stream_mem_error(
      stream,
    );
  }

  _dart_mz_stream_mem_error _mz_stream_mem_error;

  void mz_stream_mem_set_buffer(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_mem_set_buffer ??= _dylib.lookupFunction<
        _c_mz_stream_mem_set_buffer,
        _dart_mz_stream_mem_set_buffer>('mz_stream_mem_set_buffer');
    return _mz_stream_mem_set_buffer(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_mem_set_buffer _mz_stream_mem_set_buffer;

  int mz_stream_mem_get_buffer(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
  ) {
    _mz_stream_mem_get_buffer ??= _dylib.lookupFunction<
        _c_mz_stream_mem_get_buffer,
        _dart_mz_stream_mem_get_buffer>('mz_stream_mem_get_buffer');
    return _mz_stream_mem_get_buffer(
      stream,
      buf,
    );
  }

  _dart_mz_stream_mem_get_buffer _mz_stream_mem_get_buffer;

  int mz_stream_mem_get_buffer_at(
    ffi.Pointer<ffi.Void> stream,
    int position,
    ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
  ) {
    _mz_stream_mem_get_buffer_at ??= _dylib.lookupFunction<
        _c_mz_stream_mem_get_buffer_at,
        _dart_mz_stream_mem_get_buffer_at>('mz_stream_mem_get_buffer_at');
    return _mz_stream_mem_get_buffer_at(
      stream,
      position,
      buf,
    );
  }

  _dart_mz_stream_mem_get_buffer_at _mz_stream_mem_get_buffer_at;

  int mz_stream_mem_get_buffer_at_current(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
  ) {
    _mz_stream_mem_get_buffer_at_current ??= _dylib.lookupFunction<
            _c_mz_stream_mem_get_buffer_at_current,
            _dart_mz_stream_mem_get_buffer_at_current>(
        'mz_stream_mem_get_buffer_at_current');
    return _mz_stream_mem_get_buffer_at_current(
      stream,
      buf,
    );
  }

  _dart_mz_stream_mem_get_buffer_at_current
      _mz_stream_mem_get_buffer_at_current;

  void mz_stream_mem_get_buffer_length(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int32> length,
  ) {
    _mz_stream_mem_get_buffer_length ??= _dylib.lookupFunction<
            _c_mz_stream_mem_get_buffer_length,
            _dart_mz_stream_mem_get_buffer_length>(
        'mz_stream_mem_get_buffer_length');
    return _mz_stream_mem_get_buffer_length(
      stream,
      length,
    );
  }

  _dart_mz_stream_mem_get_buffer_length _mz_stream_mem_get_buffer_length;

  void mz_stream_mem_set_buffer_limit(
    ffi.Pointer<ffi.Void> stream,
    int limit,
  ) {
    _mz_stream_mem_set_buffer_limit ??= _dylib.lookupFunction<
        _c_mz_stream_mem_set_buffer_limit,
        _dart_mz_stream_mem_set_buffer_limit>('mz_stream_mem_set_buffer_limit');
    return _mz_stream_mem_set_buffer_limit(
      stream,
      limit,
    );
  }

  _dart_mz_stream_mem_set_buffer_limit _mz_stream_mem_set_buffer_limit;

  void mz_stream_mem_set_grow_size(
    ffi.Pointer<ffi.Void> stream,
    int grow_size,
  ) {
    _mz_stream_mem_set_grow_size ??= _dylib.lookupFunction<
        _c_mz_stream_mem_set_grow_size,
        _dart_mz_stream_mem_set_grow_size>('mz_stream_mem_set_grow_size');
    return _mz_stream_mem_set_grow_size(
      stream,
      grow_size,
    );
  }

  _dart_mz_stream_mem_set_grow_size _mz_stream_mem_set_grow_size;

  ffi.Pointer<ffi.Void> mz_stream_mem_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_mem_create ??= _dylib.lookupFunction<_c_mz_stream_mem_create,
        _dart_mz_stream_mem_create>('mz_stream_mem_create');
    return _mz_stream_mem_create(
      stream,
    );
  }

  _dart_mz_stream_mem_create _mz_stream_mem_create;

  void mz_stream_mem_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_mem_delete ??= _dylib.lookupFunction<_c_mz_stream_mem_delete,
        _dart_mz_stream_mem_delete>('mz_stream_mem_delete');
    return _mz_stream_mem_delete(
      stream,
    );
  }

  _dart_mz_stream_mem_delete _mz_stream_mem_delete;

  ffi.Pointer<ffi.Void> mz_stream_mem_get_interface() {
    _mz_stream_mem_get_interface ??= _dylib.lookupFunction<
        _c_mz_stream_mem_get_interface,
        _dart_mz_stream_mem_get_interface>('mz_stream_mem_get_interface');
    return _mz_stream_mem_get_interface();
  }

  _dart_mz_stream_mem_get_interface _mz_stream_mem_get_interface;

  /// ************************************************************************
  int mz_stream_os_open(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int8> path,
    int mode,
  ) {
    _mz_stream_os_open ??=
        _dylib.lookupFunction<_c_mz_stream_os_open, _dart_mz_stream_os_open>(
            'mz_stream_os_open');
    return _mz_stream_os_open(
      stream,
      path,
      mode,
    );
  }

  _dart_mz_stream_os_open _mz_stream_os_open;

  int mz_stream_os_is_open(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_os_is_open ??= _dylib.lookupFunction<_c_mz_stream_os_is_open,
        _dart_mz_stream_os_is_open>('mz_stream_os_is_open');
    return _mz_stream_os_is_open(
      stream,
    );
  }

  _dart_mz_stream_os_is_open _mz_stream_os_is_open;

  int mz_stream_os_read(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_os_read ??=
        _dylib.lookupFunction<_c_mz_stream_os_read, _dart_mz_stream_os_read>(
            'mz_stream_os_read');
    return _mz_stream_os_read(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_os_read _mz_stream_os_read;

  int mz_stream_os_write(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_os_write ??=
        _dylib.lookupFunction<_c_mz_stream_os_write, _dart_mz_stream_os_write>(
            'mz_stream_os_write');
    return _mz_stream_os_write(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_os_write _mz_stream_os_write;

  int mz_stream_os_tell(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_os_tell ??=
        _dylib.lookupFunction<_c_mz_stream_os_tell, _dart_mz_stream_os_tell>(
            'mz_stream_os_tell');
    return _mz_stream_os_tell(
      stream,
    );
  }

  _dart_mz_stream_os_tell _mz_stream_os_tell;

  int mz_stream_os_seek(
    ffi.Pointer<ffi.Void> stream,
    int offset,
    int origin,
  ) {
    _mz_stream_os_seek ??=
        _dylib.lookupFunction<_c_mz_stream_os_seek, _dart_mz_stream_os_seek>(
            'mz_stream_os_seek');
    return _mz_stream_os_seek(
      stream,
      offset,
      origin,
    );
  }

  _dart_mz_stream_os_seek _mz_stream_os_seek;

  int mz_stream_os_close(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_os_close ??=
        _dylib.lookupFunction<_c_mz_stream_os_close, _dart_mz_stream_os_close>(
            'mz_stream_os_close');
    return _mz_stream_os_close(
      stream,
    );
  }

  _dart_mz_stream_os_close _mz_stream_os_close;

  int mz_stream_os_error(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_os_error ??=
        _dylib.lookupFunction<_c_mz_stream_os_error, _dart_mz_stream_os_error>(
            'mz_stream_os_error');
    return _mz_stream_os_error(
      stream,
    );
  }

  _dart_mz_stream_os_error _mz_stream_os_error;

  ffi.Pointer<ffi.Void> mz_stream_os_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_os_create ??= _dylib.lookupFunction<_c_mz_stream_os_create,
        _dart_mz_stream_os_create>('mz_stream_os_create');
    return _mz_stream_os_create(
      stream,
    );
  }

  _dart_mz_stream_os_create _mz_stream_os_create;

  void mz_stream_os_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_os_delete ??= _dylib.lookupFunction<_c_mz_stream_os_delete,
        _dart_mz_stream_os_delete>('mz_stream_os_delete');
    return _mz_stream_os_delete(
      stream,
    );
  }

  _dart_mz_stream_os_delete _mz_stream_os_delete;

  ffi.Pointer<ffi.Void> mz_stream_os_get_interface() {
    _mz_stream_os_get_interface ??= _dylib.lookupFunction<
        _c_mz_stream_os_get_interface,
        _dart_mz_stream_os_get_interface>('mz_stream_os_get_interface');
    return _mz_stream_os_get_interface();
  }

  _dart_mz_stream_os_get_interface _mz_stream_os_get_interface;

  /// ************************************************************************
  int mz_stream_split_open(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Int8> filename,
    int mode,
  ) {
    _mz_stream_split_open ??= _dylib.lookupFunction<_c_mz_stream_split_open,
        _dart_mz_stream_split_open>('mz_stream_split_open');
    return _mz_stream_split_open(
      stream,
      filename,
      mode,
    );
  }

  _dart_mz_stream_split_open _mz_stream_split_open;

  int mz_stream_split_is_open(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_split_is_open ??= _dylib.lookupFunction<
        _c_mz_stream_split_is_open,
        _dart_mz_stream_split_is_open>('mz_stream_split_is_open');
    return _mz_stream_split_is_open(
      stream,
    );
  }

  _dart_mz_stream_split_is_open _mz_stream_split_is_open;

  int mz_stream_split_read(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_split_read ??= _dylib.lookupFunction<_c_mz_stream_split_read,
        _dart_mz_stream_split_read>('mz_stream_split_read');
    return _mz_stream_split_read(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_split_read _mz_stream_split_read;

  int mz_stream_split_write(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Void> buf,
    int size,
  ) {
    _mz_stream_split_write ??= _dylib.lookupFunction<_c_mz_stream_split_write,
        _dart_mz_stream_split_write>('mz_stream_split_write');
    return _mz_stream_split_write(
      stream,
      buf,
      size,
    );
  }

  _dart_mz_stream_split_write _mz_stream_split_write;

  int mz_stream_split_tell(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_split_tell ??= _dylib.lookupFunction<_c_mz_stream_split_tell,
        _dart_mz_stream_split_tell>('mz_stream_split_tell');
    return _mz_stream_split_tell(
      stream,
    );
  }

  _dart_mz_stream_split_tell _mz_stream_split_tell;

  int mz_stream_split_seek(
    ffi.Pointer<ffi.Void> stream,
    int offset,
    int origin,
  ) {
    _mz_stream_split_seek ??= _dylib.lookupFunction<_c_mz_stream_split_seek,
        _dart_mz_stream_split_seek>('mz_stream_split_seek');
    return _mz_stream_split_seek(
      stream,
      offset,
      origin,
    );
  }

  _dart_mz_stream_split_seek _mz_stream_split_seek;

  int mz_stream_split_close(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_split_close ??= _dylib.lookupFunction<_c_mz_stream_split_close,
        _dart_mz_stream_split_close>('mz_stream_split_close');
    return _mz_stream_split_close(
      stream,
    );
  }

  _dart_mz_stream_split_close _mz_stream_split_close;

  int mz_stream_split_error(
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_stream_split_error ??= _dylib.lookupFunction<_c_mz_stream_split_error,
        _dart_mz_stream_split_error>('mz_stream_split_error');
    return _mz_stream_split_error(
      stream,
    );
  }

  _dart_mz_stream_split_error _mz_stream_split_error;

  int mz_stream_split_get_prop_int64(
    ffi.Pointer<ffi.Void> stream,
    int prop,
    ffi.Pointer<ffi.Int64> value,
  ) {
    _mz_stream_split_get_prop_int64 ??= _dylib.lookupFunction<
        _c_mz_stream_split_get_prop_int64,
        _dart_mz_stream_split_get_prop_int64>('mz_stream_split_get_prop_int64');
    return _mz_stream_split_get_prop_int64(
      stream,
      prop,
      value,
    );
  }

  _dart_mz_stream_split_get_prop_int64 _mz_stream_split_get_prop_int64;

  int mz_stream_split_set_prop_int64(
    ffi.Pointer<ffi.Void> stream,
    int prop,
    int value,
  ) {
    _mz_stream_split_set_prop_int64 ??= _dylib.lookupFunction<
        _c_mz_stream_split_set_prop_int64,
        _dart_mz_stream_split_set_prop_int64>('mz_stream_split_set_prop_int64');
    return _mz_stream_split_set_prop_int64(
      stream,
      prop,
      value,
    );
  }

  _dart_mz_stream_split_set_prop_int64 _mz_stream_split_set_prop_int64;

  ffi.Pointer<ffi.Void> mz_stream_split_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_split_create ??= _dylib.lookupFunction<_c_mz_stream_split_create,
        _dart_mz_stream_split_create>('mz_stream_split_create');
    return _mz_stream_split_create(
      stream,
    );
  }

  _dart_mz_stream_split_create _mz_stream_split_create;

  void mz_stream_split_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_stream_split_delete ??= _dylib.lookupFunction<_c_mz_stream_split_delete,
        _dart_mz_stream_split_delete>('mz_stream_split_delete');
    return _mz_stream_split_delete(
      stream,
    );
  }

  _dart_mz_stream_split_delete _mz_stream_split_delete;

  ffi.Pointer<ffi.Void> mz_stream_split_get_interface() {
    _mz_stream_split_get_interface ??= _dylib.lookupFunction<
        _c_mz_stream_split_get_interface,
        _dart_mz_stream_split_get_interface>('mz_stream_split_get_interface');
    return _mz_stream_split_get_interface();
  }

  _dart_mz_stream_split_get_interface _mz_stream_split_get_interface;

  /// ************************************************************************
  ffi.Pointer<ffi.Void> mz_zip_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_zip_create ??= _dylib
        .lookupFunction<_c_mz_zip_create, _dart_mz_zip_create>('mz_zip_create');
    return _mz_zip_create(
      handle,
    );
  }

  _dart_mz_zip_create _mz_zip_create;

  void mz_zip_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_zip_delete ??= _dylib
        .lookupFunction<_c_mz_zip_delete, _dart_mz_zip_delete>('mz_zip_delete');
    return _mz_zip_delete(
      handle,
    );
  }

  _dart_mz_zip_delete _mz_zip_delete;

  int mz_zip_open(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
    int mode,
  ) {
    _mz_zip_open ??=
        _dylib.lookupFunction<_c_mz_zip_open, _dart_mz_zip_open>('mz_zip_open');
    return _mz_zip_open(
      handle,
      stream,
      mode,
    );
  }

  _dart_mz_zip_open _mz_zip_open;

  int mz_zip_close(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_close ??= _dylib
        .lookupFunction<_c_mz_zip_close, _dart_mz_zip_close>('mz_zip_close');
    return _mz_zip_close(
      handle,
    );
  }

  _dart_mz_zip_close _mz_zip_close;

  int mz_zip_get_comment(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<ffi.Int8>> comment,
  ) {
    _mz_zip_get_comment ??=
        _dylib.lookupFunction<_c_mz_zip_get_comment, _dart_mz_zip_get_comment>(
            'mz_zip_get_comment');
    return _mz_zip_get_comment(
      handle,
      comment,
    );
  }

  _dart_mz_zip_get_comment _mz_zip_get_comment;

  int mz_zip_set_comment(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> comment,
  ) {
    _mz_zip_set_comment ??=
        _dylib.lookupFunction<_c_mz_zip_set_comment, _dart_mz_zip_set_comment>(
            'mz_zip_set_comment');
    return _mz_zip_set_comment(
      handle,
      comment,
    );
  }

  _dart_mz_zip_set_comment _mz_zip_set_comment;

  int mz_zip_get_version_madeby(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint16> version_madeby,
  ) {
    _mz_zip_get_version_madeby ??= _dylib.lookupFunction<
        _c_mz_zip_get_version_madeby,
        _dart_mz_zip_get_version_madeby>('mz_zip_get_version_madeby');
    return _mz_zip_get_version_madeby(
      handle,
      version_madeby,
    );
  }

  _dart_mz_zip_get_version_madeby _mz_zip_get_version_madeby;

  int mz_zip_set_version_madeby(
    ffi.Pointer<ffi.Void> handle,
    int version_madeby,
  ) {
    _mz_zip_set_version_madeby ??= _dylib.lookupFunction<
        _c_mz_zip_set_version_madeby,
        _dart_mz_zip_set_version_madeby>('mz_zip_set_version_madeby');
    return _mz_zip_set_version_madeby(
      handle,
      version_madeby,
    );
  }

  _dart_mz_zip_set_version_madeby _mz_zip_set_version_madeby;

  int mz_zip_set_recover(
    ffi.Pointer<ffi.Void> handle,
    int recover,
  ) {
    _mz_zip_set_recover ??=
        _dylib.lookupFunction<_c_mz_zip_set_recover, _dart_mz_zip_set_recover>(
            'mz_zip_set_recover');
    return _mz_zip_set_recover(
      handle,
      recover,
    );
  }

  _dart_mz_zip_set_recover _mz_zip_set_recover;

  int mz_zip_set_data_descriptor(
    ffi.Pointer<ffi.Void> handle,
    int data_descriptor,
  ) {
    _mz_zip_set_data_descriptor ??= _dylib.lookupFunction<
        _c_mz_zip_set_data_descriptor,
        _dart_mz_zip_set_data_descriptor>('mz_zip_set_data_descriptor');
    return _mz_zip_set_data_descriptor(
      handle,
      data_descriptor,
    );
  }

  _dart_mz_zip_set_data_descriptor _mz_zip_set_data_descriptor;

  int mz_zip_get_stream(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ) {
    _mz_zip_get_stream ??=
        _dylib.lookupFunction<_c_mz_zip_get_stream, _dart_mz_zip_get_stream>(
            'mz_zip_get_stream');
    return _mz_zip_get_stream(
      handle,
      stream,
    );
  }

  _dart_mz_zip_get_stream _mz_zip_get_stream;

  int mz_zip_set_cd_stream(
    ffi.Pointer<ffi.Void> handle,
    int cd_start_pos,
    ffi.Pointer<ffi.Void> cd_stream,
  ) {
    _mz_zip_set_cd_stream ??= _dylib.lookupFunction<_c_mz_zip_set_cd_stream,
        _dart_mz_zip_set_cd_stream>('mz_zip_set_cd_stream');
    return _mz_zip_set_cd_stream(
      handle,
      cd_start_pos,
      cd_stream,
    );
  }

  _dart_mz_zip_set_cd_stream _mz_zip_set_cd_stream;

  int mz_zip_get_cd_mem_stream(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<ffi.Void>> cd_mem_stream,
  ) {
    _mz_zip_get_cd_mem_stream ??= _dylib.lookupFunction<
        _c_mz_zip_get_cd_mem_stream,
        _dart_mz_zip_get_cd_mem_stream>('mz_zip_get_cd_mem_stream');
    return _mz_zip_get_cd_mem_stream(
      handle,
      cd_mem_stream,
    );
  }

  _dart_mz_zip_get_cd_mem_stream _mz_zip_get_cd_mem_stream;

  int mz_zip_set_number_entry(
    ffi.Pointer<ffi.Void> handle,
    int number_entry,
  ) {
    _mz_zip_set_number_entry ??= _dylib.lookupFunction<
        _c_mz_zip_set_number_entry,
        _dart_mz_zip_set_number_entry>('mz_zip_set_number_entry');
    return _mz_zip_set_number_entry(
      handle,
      number_entry,
    );
  }

  _dart_mz_zip_set_number_entry _mz_zip_set_number_entry;

  int mz_zip_get_number_entry(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint64> number_entry,
  ) {
    _mz_zip_get_number_entry ??= _dylib.lookupFunction<
        _c_mz_zip_get_number_entry,
        _dart_mz_zip_get_number_entry>('mz_zip_get_number_entry');
    return _mz_zip_get_number_entry(
      handle,
      number_entry,
    );
  }

  _dart_mz_zip_get_number_entry _mz_zip_get_number_entry;

  int mz_zip_set_disk_number_with_cd(
    ffi.Pointer<ffi.Void> handle,
    int disk_number_with_cd,
  ) {
    _mz_zip_set_disk_number_with_cd ??= _dylib.lookupFunction<
        _c_mz_zip_set_disk_number_with_cd,
        _dart_mz_zip_set_disk_number_with_cd>('mz_zip_set_disk_number_with_cd');
    return _mz_zip_set_disk_number_with_cd(
      handle,
      disk_number_with_cd,
    );
  }

  _dart_mz_zip_set_disk_number_with_cd _mz_zip_set_disk_number_with_cd;

  int mz_zip_get_disk_number_with_cd(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint32> disk_number_with_cd,
  ) {
    _mz_zip_get_disk_number_with_cd ??= _dylib.lookupFunction<
        _c_mz_zip_get_disk_number_with_cd,
        _dart_mz_zip_get_disk_number_with_cd>('mz_zip_get_disk_number_with_cd');
    return _mz_zip_get_disk_number_with_cd(
      handle,
      disk_number_with_cd,
    );
  }

  _dart_mz_zip_get_disk_number_with_cd _mz_zip_get_disk_number_with_cd;

  /// ************************************************************************
  int mz_zip_entry_is_open(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_entry_is_open ??= _dylib.lookupFunction<_c_mz_zip_entry_is_open,
        _dart_mz_zip_entry_is_open>('mz_zip_entry_is_open');
    return _mz_zip_entry_is_open(
      handle,
    );
  }

  _dart_mz_zip_entry_is_open _mz_zip_entry_is_open;

  int mz_zip_entry_read_open(
    ffi.Pointer<ffi.Void> handle,
    int raw,
    ffi.Pointer<ffi.Int8> password,
  ) {
    _mz_zip_entry_read_open ??= _dylib.lookupFunction<_c_mz_zip_entry_read_open,
        _dart_mz_zip_entry_read_open>('mz_zip_entry_read_open');
    return _mz_zip_entry_read_open(
      handle,
      raw,
      password,
    );
  }

  _dart_mz_zip_entry_read_open _mz_zip_entry_read_open;

  int mz_zip_entry_read(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int len,
  ) {
    _mz_zip_entry_read ??=
        _dylib.lookupFunction<_c_mz_zip_entry_read, _dart_mz_zip_entry_read>(
            'mz_zip_entry_read');
    return _mz_zip_entry_read(
      handle,
      buf,
      len,
    );
  }

  _dart_mz_zip_entry_read _mz_zip_entry_read;

  int mz_zip_entry_read_close(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint32> crc32,
    ffi.Pointer<ffi.Int64> compressed_size,
    ffi.Pointer<ffi.Int64> uncompressed_size,
  ) {
    _mz_zip_entry_read_close ??= _dylib.lookupFunction<
        _c_mz_zip_entry_read_close,
        _dart_mz_zip_entry_read_close>('mz_zip_entry_read_close');
    return _mz_zip_entry_read_close(
      handle,
      crc32,
      compressed_size,
      uncompressed_size,
    );
  }

  _dart_mz_zip_entry_read_close _mz_zip_entry_read_close;

  int mz_zip_entry_write_open(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<mz_zip_file_s> file_info,
    int compress_level,
    int raw,
    ffi.Pointer<ffi.Int8> password,
  ) {
    _mz_zip_entry_write_open ??= _dylib.lookupFunction<
        _c_mz_zip_entry_write_open,
        _dart_mz_zip_entry_write_open>('mz_zip_entry_write_open');
    return _mz_zip_entry_write_open(
      handle,
      file_info,
      compress_level,
      raw,
      password,
    );
  }

  _dart_mz_zip_entry_write_open _mz_zip_entry_write_open;

  int mz_zip_entry_write(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int len,
  ) {
    _mz_zip_entry_write ??=
        _dylib.lookupFunction<_c_mz_zip_entry_write, _dart_mz_zip_entry_write>(
            'mz_zip_entry_write');
    return _mz_zip_entry_write(
      handle,
      buf,
      len,
    );
  }

  _dart_mz_zip_entry_write _mz_zip_entry_write;

  int mz_zip_entry_write_close(
    ffi.Pointer<ffi.Void> handle,
    int crc32,
    int compressed_size,
    int uncompressed_size,
  ) {
    _mz_zip_entry_write_close ??= _dylib.lookupFunction<
        _c_mz_zip_entry_write_close,
        _dart_mz_zip_entry_write_close>('mz_zip_entry_write_close');
    return _mz_zip_entry_write_close(
      handle,
      crc32,
      compressed_size,
      uncompressed_size,
    );
  }

  _dart_mz_zip_entry_write_close _mz_zip_entry_write_close;

  int mz_zip_entry_close_raw(
    ffi.Pointer<ffi.Void> handle,
    int uncompressed_size,
    int crc32,
  ) {
    _mz_zip_entry_close_raw ??= _dylib.lookupFunction<_c_mz_zip_entry_close_raw,
        _dart_mz_zip_entry_close_raw>('mz_zip_entry_close_raw');
    return _mz_zip_entry_close_raw(
      handle,
      uncompressed_size,
      crc32,
    );
  }

  _dart_mz_zip_entry_close_raw _mz_zip_entry_close_raw;

  int mz_zip_entry_close(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_entry_close ??=
        _dylib.lookupFunction<_c_mz_zip_entry_close, _dart_mz_zip_entry_close>(
            'mz_zip_entry_close');
    return _mz_zip_entry_close(
      handle,
    );
  }

  _dart_mz_zip_entry_close _mz_zip_entry_close;

  /// ************************************************************************
  int mz_zip_entry_is_dir(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_entry_is_dir ??= _dylib.lookupFunction<_c_mz_zip_entry_is_dir,
        _dart_mz_zip_entry_is_dir>('mz_zip_entry_is_dir');
    return _mz_zip_entry_is_dir(
      handle,
    );
  }

  _dart_mz_zip_entry_is_dir _mz_zip_entry_is_dir;

  int mz_zip_entry_is_symlink(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_entry_is_symlink ??= _dylib.lookupFunction<
        _c_mz_zip_entry_is_symlink,
        _dart_mz_zip_entry_is_symlink>('mz_zip_entry_is_symlink');
    return _mz_zip_entry_is_symlink(
      handle,
    );
  }

  _dart_mz_zip_entry_is_symlink _mz_zip_entry_is_symlink;

  int mz_zip_entry_get_info(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<mz_zip_file_s>> file_info,
  ) {
    _mz_zip_entry_get_info ??= _dylib.lookupFunction<_c_mz_zip_entry_get_info,
        _dart_mz_zip_entry_get_info>('mz_zip_entry_get_info');
    return _mz_zip_entry_get_info(
      handle,
      file_info,
    );
  }

  _dart_mz_zip_entry_get_info _mz_zip_entry_get_info;

  int mz_zip_entry_get_local_info(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<mz_zip_file_s>> local_file_info,
  ) {
    _mz_zip_entry_get_local_info ??= _dylib.lookupFunction<
        _c_mz_zip_entry_get_local_info,
        _dart_mz_zip_entry_get_local_info>('mz_zip_entry_get_local_info');
    return _mz_zip_entry_get_local_info(
      handle,
      local_file_info,
    );
  }

  _dart_mz_zip_entry_get_local_info _mz_zip_entry_get_local_info;

  int mz_zip_entry_set_extrafield(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> extrafield,
    int extrafield_size,
  ) {
    _mz_zip_entry_set_extrafield ??= _dylib.lookupFunction<
        _c_mz_zip_entry_set_extrafield,
        _dart_mz_zip_entry_set_extrafield>('mz_zip_entry_set_extrafield');
    return _mz_zip_entry_set_extrafield(
      handle,
      extrafield,
      extrafield_size,
    );
  }

  _dart_mz_zip_entry_set_extrafield _mz_zip_entry_set_extrafield;

  int mz_zip_get_entry(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_get_entry ??=
        _dylib.lookupFunction<_c_mz_zip_get_entry, _dart_mz_zip_get_entry>(
            'mz_zip_get_entry');
    return _mz_zip_get_entry(
      handle,
    );
  }

  _dart_mz_zip_get_entry _mz_zip_get_entry;

  int mz_zip_goto_entry(
    ffi.Pointer<ffi.Void> handle,
    int cd_pos,
  ) {
    _mz_zip_goto_entry ??=
        _dylib.lookupFunction<_c_mz_zip_goto_entry, _dart_mz_zip_goto_entry>(
            'mz_zip_goto_entry');
    return _mz_zip_goto_entry(
      handle,
      cd_pos,
    );
  }

  _dart_mz_zip_goto_entry _mz_zip_goto_entry;

  int mz_zip_goto_first_entry(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_goto_first_entry ??= _dylib.lookupFunction<
        _c_mz_zip_goto_first_entry,
        _dart_mz_zip_goto_first_entry>('mz_zip_goto_first_entry');
    return _mz_zip_goto_first_entry(
      handle,
    );
  }

  _dart_mz_zip_goto_first_entry _mz_zip_goto_first_entry;

  int mz_zip_goto_next_entry(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_goto_next_entry ??= _dylib.lookupFunction<_c_mz_zip_goto_next_entry,
        _dart_mz_zip_goto_next_entry>('mz_zip_goto_next_entry');
    return _mz_zip_goto_next_entry(
      handle,
    );
  }

  _dart_mz_zip_goto_next_entry _mz_zip_goto_next_entry;

  int mz_zip_locate_entry(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> filename,
    int ignore_case,
  ) {
    _mz_zip_locate_entry ??= _dylib.lookupFunction<_c_mz_zip_locate_entry,
        _dart_mz_zip_locate_entry>('mz_zip_locate_entry');
    return _mz_zip_locate_entry(
      handle,
      filename,
      ignore_case,
    );
  }

  _dart_mz_zip_locate_entry _mz_zip_locate_entry;

  int mz_zip_locate_first_entry(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_locate_entry_cb_1>> cb,
  ) {
    _mz_zip_locate_first_entry ??= _dylib.lookupFunction<
        _c_mz_zip_locate_first_entry,
        _dart_mz_zip_locate_first_entry>('mz_zip_locate_first_entry');
    return _mz_zip_locate_first_entry(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_locate_first_entry _mz_zip_locate_first_entry;

  int mz_zip_locate_next_entry(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_locate_entry_cb_2>> cb,
  ) {
    _mz_zip_locate_next_entry ??= _dylib.lookupFunction<
        _c_mz_zip_locate_next_entry,
        _dart_mz_zip_locate_next_entry>('mz_zip_locate_next_entry');
    return _mz_zip_locate_next_entry(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_locate_next_entry _mz_zip_locate_next_entry;

  /// ************************************************************************
  int mz_zip_attrib_is_dir(
    int attrib,
    int version_madeby,
  ) {
    _mz_zip_attrib_is_dir ??= _dylib.lookupFunction<_c_mz_zip_attrib_is_dir,
        _dart_mz_zip_attrib_is_dir>('mz_zip_attrib_is_dir');
    return _mz_zip_attrib_is_dir(
      attrib,
      version_madeby,
    );
  }

  _dart_mz_zip_attrib_is_dir _mz_zip_attrib_is_dir;

  int mz_zip_attrib_is_symlink(
    int attrib,
    int version_madeby,
  ) {
    _mz_zip_attrib_is_symlink ??= _dylib.lookupFunction<
        _c_mz_zip_attrib_is_symlink,
        _dart_mz_zip_attrib_is_symlink>('mz_zip_attrib_is_symlink');
    return _mz_zip_attrib_is_symlink(
      attrib,
      version_madeby,
    );
  }

  _dart_mz_zip_attrib_is_symlink _mz_zip_attrib_is_symlink;

  int mz_zip_attrib_convert(
    int src_sys,
    int src_attrib,
    int target_sys,
    ffi.Pointer<ffi.Uint32> target_attrib,
  ) {
    _mz_zip_attrib_convert ??= _dylib.lookupFunction<_c_mz_zip_attrib_convert,
        _dart_mz_zip_attrib_convert>('mz_zip_attrib_convert');
    return _mz_zip_attrib_convert(
      src_sys,
      src_attrib,
      target_sys,
      target_attrib,
    );
  }

  _dart_mz_zip_attrib_convert _mz_zip_attrib_convert;

  int mz_zip_attrib_posix_to_win32(
    int posix_attrib,
    ffi.Pointer<ffi.Uint32> win32_attrib,
  ) {
    _mz_zip_attrib_posix_to_win32 ??= _dylib.lookupFunction<
        _c_mz_zip_attrib_posix_to_win32,
        _dart_mz_zip_attrib_posix_to_win32>('mz_zip_attrib_posix_to_win32');
    return _mz_zip_attrib_posix_to_win32(
      posix_attrib,
      win32_attrib,
    );
  }

  _dart_mz_zip_attrib_posix_to_win32 _mz_zip_attrib_posix_to_win32;

  int mz_zip_attrib_win32_to_posix(
    int win32_attrib,
    ffi.Pointer<ffi.Uint32> posix_attrib,
  ) {
    _mz_zip_attrib_win32_to_posix ??= _dylib.lookupFunction<
        _c_mz_zip_attrib_win32_to_posix,
        _dart_mz_zip_attrib_win32_to_posix>('mz_zip_attrib_win32_to_posix');
    return _mz_zip_attrib_win32_to_posix(
      win32_attrib,
      posix_attrib,
    );
  }

  _dart_mz_zip_attrib_win32_to_posix _mz_zip_attrib_win32_to_posix;

  /// ************************************************************************
  int mz_zip_extrafield_find(
    ffi.Pointer<ffi.Void> stream,
    int type,
    ffi.Pointer<ffi.Uint16> length,
  ) {
    _mz_zip_extrafield_find ??= _dylib.lookupFunction<_c_mz_zip_extrafield_find,
        _dart_mz_zip_extrafield_find>('mz_zip_extrafield_find');
    return _mz_zip_extrafield_find(
      stream,
      type,
      length,
    );
  }

  _dart_mz_zip_extrafield_find _mz_zip_extrafield_find;

  int mz_zip_extrafield_contains(
    ffi.Pointer<ffi.Uint8> extrafield,
    int extrafield_size,
    int type,
    ffi.Pointer<ffi.Uint16> length,
  ) {
    _mz_zip_extrafield_contains ??= _dylib.lookupFunction<
        _c_mz_zip_extrafield_contains,
        _dart_mz_zip_extrafield_contains>('mz_zip_extrafield_contains');
    return _mz_zip_extrafield_contains(
      extrafield,
      extrafield_size,
      type,
      length,
    );
  }

  _dart_mz_zip_extrafield_contains _mz_zip_extrafield_contains;

  int mz_zip_extrafield_read(
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.Uint16> type,
    ffi.Pointer<ffi.Uint16> length,
  ) {
    _mz_zip_extrafield_read ??= _dylib.lookupFunction<_c_mz_zip_extrafield_read,
        _dart_mz_zip_extrafield_read>('mz_zip_extrafield_read');
    return _mz_zip_extrafield_read(
      stream,
      type,
      length,
    );
  }

  _dart_mz_zip_extrafield_read _mz_zip_extrafield_read;

  int mz_zip_extrafield_write(
    ffi.Pointer<ffi.Void> stream,
    int type,
    int length,
  ) {
    _mz_zip_extrafield_write ??= _dylib.lookupFunction<
        _c_mz_zip_extrafield_write,
        _dart_mz_zip_extrafield_write>('mz_zip_extrafield_write');
    return _mz_zip_extrafield_write(
      stream,
      type,
      length,
    );
  }

  _dart_mz_zip_extrafield_write _mz_zip_extrafield_write;

  /// ************************************************************************
  int mz_zip_dosdate_to_tm(
    int dos_date,
    ffi.Pointer<tm> ptm,
  ) {
    _mz_zip_dosdate_to_tm ??= _dylib.lookupFunction<_c_mz_zip_dosdate_to_tm,
        _dart_mz_zip_dosdate_to_tm>('mz_zip_dosdate_to_tm');
    return _mz_zip_dosdate_to_tm(
      dos_date,
      ptm,
    );
  }

  _dart_mz_zip_dosdate_to_tm _mz_zip_dosdate_to_tm;

  int mz_zip_dosdate_to_time_t(
    int dos_date,
  ) {
    _mz_zip_dosdate_to_time_t ??= _dylib.lookupFunction<
        _c_mz_zip_dosdate_to_time_t,
        _dart_mz_zip_dosdate_to_time_t>('mz_zip_dosdate_to_time_t');
    return _mz_zip_dosdate_to_time_t(
      dos_date,
    );
  }

  _dart_mz_zip_dosdate_to_time_t _mz_zip_dosdate_to_time_t;

  int mz_zip_time_t_to_tm(
    int unix_time,
    ffi.Pointer<tm> ptm,
  ) {
    _mz_zip_time_t_to_tm ??= _dylib.lookupFunction<_c_mz_zip_time_t_to_tm,
        _dart_mz_zip_time_t_to_tm>('mz_zip_time_t_to_tm');
    return _mz_zip_time_t_to_tm(
      unix_time,
      ptm,
    );
  }

  _dart_mz_zip_time_t_to_tm _mz_zip_time_t_to_tm;

  int mz_zip_time_t_to_dos_date(
    int unix_time,
  ) {
    _mz_zip_time_t_to_dos_date ??= _dylib.lookupFunction<
        _c_mz_zip_time_t_to_dos_date,
        _dart_mz_zip_time_t_to_dos_date>('mz_zip_time_t_to_dos_date');
    return _mz_zip_time_t_to_dos_date(
      unix_time,
    );
  }

  _dart_mz_zip_time_t_to_dos_date _mz_zip_time_t_to_dos_date;

  int mz_zip_tm_to_dosdate(
    ffi.Pointer<tm> ptm,
  ) {
    _mz_zip_tm_to_dosdate ??= _dylib.lookupFunction<_c_mz_zip_tm_to_dosdate,
        _dart_mz_zip_tm_to_dosdate>('mz_zip_tm_to_dosdate');
    return _mz_zip_tm_to_dosdate(
      ptm,
    );
  }

  _dart_mz_zip_tm_to_dosdate _mz_zip_tm_to_dosdate;

  int mz_zip_ntfs_to_unix_time(
    int ntfs_time,
    ffi.Pointer<ffi.Int64> unix_time,
  ) {
    _mz_zip_ntfs_to_unix_time ??= _dylib.lookupFunction<
        _c_mz_zip_ntfs_to_unix_time,
        _dart_mz_zip_ntfs_to_unix_time>('mz_zip_ntfs_to_unix_time');
    return _mz_zip_ntfs_to_unix_time(
      ntfs_time,
      unix_time,
    );
  }

  _dart_mz_zip_ntfs_to_unix_time _mz_zip_ntfs_to_unix_time;

  int mz_zip_unix_to_ntfs_time(
    int unix_time,
    ffi.Pointer<ffi.Uint64> ntfs_time,
  ) {
    _mz_zip_unix_to_ntfs_time ??= _dylib.lookupFunction<
        _c_mz_zip_unix_to_ntfs_time,
        _dart_mz_zip_unix_to_ntfs_time>('mz_zip_unix_to_ntfs_time');
    return _mz_zip_unix_to_ntfs_time(
      unix_time,
      ntfs_time,
    );
  }

  _dart_mz_zip_unix_to_ntfs_time _mz_zip_unix_to_ntfs_time;

  /// ************************************************************************
  int mz_zip_path_compare(
    ffi.Pointer<ffi.Int8> path1,
    ffi.Pointer<ffi.Int8> path2,
    int ignore_case,
  ) {
    _mz_zip_path_compare ??= _dylib.lookupFunction<_c_mz_zip_path_compare,
        _dart_mz_zip_path_compare>('mz_zip_path_compare');
    return _mz_zip_path_compare(
      path1,
      path2,
      ignore_case,
    );
  }

  _dart_mz_zip_path_compare _mz_zip_path_compare;

  /// ************************************************************************
  int mz_zip_reader_is_open(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_is_open ??= _dylib.lookupFunction<_c_mz_zip_reader_is_open,
        _dart_mz_zip_reader_is_open>('mz_zip_reader_is_open');
    return _mz_zip_reader_is_open(
      handle,
    );
  }

  _dart_mz_zip_reader_is_open _mz_zip_reader_is_open;

  int mz_zip_reader_open(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_zip_reader_open ??=
        _dylib.lookupFunction<_c_mz_zip_reader_open, _dart_mz_zip_reader_open>(
            'mz_zip_reader_open');
    return _mz_zip_reader_open(
      handle,
      stream,
    );
  }

  _dart_mz_zip_reader_open _mz_zip_reader_open;

  int mz_zip_reader_open_file(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_zip_reader_open_file ??= _dylib.lookupFunction<
        _c_mz_zip_reader_open_file,
        _dart_mz_zip_reader_open_file>('mz_zip_reader_open_file');
    return _mz_zip_reader_open_file(
      handle,
      path,
    );
  }

  _dart_mz_zip_reader_open_file _mz_zip_reader_open_file;

  int mz_zip_reader_open_file_in_memory(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_zip_reader_open_file_in_memory ??= _dylib.lookupFunction<
            _c_mz_zip_reader_open_file_in_memory,
            _dart_mz_zip_reader_open_file_in_memory>(
        'mz_zip_reader_open_file_in_memory');
    return _mz_zip_reader_open_file_in_memory(
      handle,
      path,
    );
  }

  _dart_mz_zip_reader_open_file_in_memory _mz_zip_reader_open_file_in_memory;

  int mz_zip_reader_open_buffer(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> buf,
    int len,
    int copy,
  ) {
    _mz_zip_reader_open_buffer ??= _dylib.lookupFunction<
        _c_mz_zip_reader_open_buffer,
        _dart_mz_zip_reader_open_buffer>('mz_zip_reader_open_buffer');
    return _mz_zip_reader_open_buffer(
      handle,
      buf,
      len,
      copy,
    );
  }

  _dart_mz_zip_reader_open_buffer _mz_zip_reader_open_buffer;

  int mz_zip_reader_close(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_close ??= _dylib.lookupFunction<_c_mz_zip_reader_close,
        _dart_mz_zip_reader_close>('mz_zip_reader_close');
    return _mz_zip_reader_close(
      handle,
    );
  }

  _dart_mz_zip_reader_close _mz_zip_reader_close;

  /// ************************************************************************
  int mz_zip_reader_unzip_cd(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_unzip_cd ??= _dylib.lookupFunction<_c_mz_zip_reader_unzip_cd,
        _dart_mz_zip_reader_unzip_cd>('mz_zip_reader_unzip_cd');
    return _mz_zip_reader_unzip_cd(
      handle,
    );
  }

  _dart_mz_zip_reader_unzip_cd _mz_zip_reader_unzip_cd;

  /// ************************************************************************
  int mz_zip_reader_goto_first_entry(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_goto_first_entry ??= _dylib.lookupFunction<
        _c_mz_zip_reader_goto_first_entry,
        _dart_mz_zip_reader_goto_first_entry>('mz_zip_reader_goto_first_entry');
    return _mz_zip_reader_goto_first_entry(
      handle,
    );
  }

  _dart_mz_zip_reader_goto_first_entry _mz_zip_reader_goto_first_entry;

  int mz_zip_reader_goto_next_entry(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_goto_next_entry ??= _dylib.lookupFunction<
        _c_mz_zip_reader_goto_next_entry,
        _dart_mz_zip_reader_goto_next_entry>('mz_zip_reader_goto_next_entry');
    return _mz_zip_reader_goto_next_entry(
      handle,
    );
  }

  _dart_mz_zip_reader_goto_next_entry _mz_zip_reader_goto_next_entry;

  int mz_zip_reader_locate_entry(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> filename,
    int ignore_case,
  ) {
    _mz_zip_reader_locate_entry ??= _dylib.lookupFunction<
        _c_mz_zip_reader_locate_entry,
        _dart_mz_zip_reader_locate_entry>('mz_zip_reader_locate_entry');
    return _mz_zip_reader_locate_entry(
      handle,
      filename,
      ignore_case,
    );
  }

  _dart_mz_zip_reader_locate_entry _mz_zip_reader_locate_entry;

  int mz_zip_reader_entry_open(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_entry_open ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_open,
        _dart_mz_zip_reader_entry_open>('mz_zip_reader_entry_open');
    return _mz_zip_reader_entry_open(
      handle,
    );
  }

  _dart_mz_zip_reader_entry_open _mz_zip_reader_entry_open;

  int mz_zip_reader_entry_close(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_entry_close ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_close,
        _dart_mz_zip_reader_entry_close>('mz_zip_reader_entry_close');
    return _mz_zip_reader_entry_close(
      handle,
    );
  }

  _dart_mz_zip_reader_entry_close _mz_zip_reader_entry_close;

  int mz_zip_reader_entry_read(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int len,
  ) {
    _mz_zip_reader_entry_read ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_read,
        _dart_mz_zip_reader_entry_read>('mz_zip_reader_entry_read');
    return _mz_zip_reader_entry_read(
      handle,
      buf,
      len,
    );
  }

  _dart_mz_zip_reader_entry_read _mz_zip_reader_entry_read;

  int mz_zip_reader_entry_has_sign(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_entry_has_sign ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_has_sign,
        _dart_mz_zip_reader_entry_has_sign>('mz_zip_reader_entry_has_sign');
    return _mz_zip_reader_entry_has_sign(
      handle,
    );
  }

  _dart_mz_zip_reader_entry_has_sign _mz_zip_reader_entry_has_sign;

  int mz_zip_reader_entry_sign_verify(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_entry_sign_verify ??= _dylib.lookupFunction<
            _c_mz_zip_reader_entry_sign_verify,
            _dart_mz_zip_reader_entry_sign_verify>(
        'mz_zip_reader_entry_sign_verify');
    return _mz_zip_reader_entry_sign_verify(
      handle,
    );
  }

  _dart_mz_zip_reader_entry_sign_verify _mz_zip_reader_entry_sign_verify;

  int mz_zip_reader_entry_get_hash(
    ffi.Pointer<ffi.Void> handle,
    int algorithm,
    ffi.Pointer<ffi.Uint8> digest,
    int digest_size,
  ) {
    _mz_zip_reader_entry_get_hash ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_get_hash,
        _dart_mz_zip_reader_entry_get_hash>('mz_zip_reader_entry_get_hash');
    return _mz_zip_reader_entry_get_hash(
      handle,
      algorithm,
      digest,
      digest_size,
    );
  }

  _dart_mz_zip_reader_entry_get_hash _mz_zip_reader_entry_get_hash;

  int mz_zip_reader_entry_get_first_hash(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint16> algorithm,
    ffi.Pointer<ffi.Uint16> digest_size,
  ) {
    _mz_zip_reader_entry_get_first_hash ??= _dylib.lookupFunction<
            _c_mz_zip_reader_entry_get_first_hash,
            _dart_mz_zip_reader_entry_get_first_hash>(
        'mz_zip_reader_entry_get_first_hash');
    return _mz_zip_reader_entry_get_first_hash(
      handle,
      algorithm,
      digest_size,
    );
  }

  _dart_mz_zip_reader_entry_get_first_hash _mz_zip_reader_entry_get_first_hash;

  int mz_zip_reader_entry_get_info(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<mz_zip_file_s>> file_info,
  ) {
    _mz_zip_reader_entry_get_info ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_get_info,
        _dart_mz_zip_reader_entry_get_info>('mz_zip_reader_entry_get_info');
    return _mz_zip_reader_entry_get_info(
      handle,
      file_info,
    );
  }

  _dart_mz_zip_reader_entry_get_info _mz_zip_reader_entry_get_info;

  int mz_zip_reader_entry_is_dir(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_entry_is_dir ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_is_dir,
        _dart_mz_zip_reader_entry_is_dir>('mz_zip_reader_entry_is_dir');
    return _mz_zip_reader_entry_is_dir(
      handle,
    );
  }

  _dart_mz_zip_reader_entry_is_dir _mz_zip_reader_entry_is_dir;

  int mz_zip_reader_entry_save(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_5>> write_cb,
  ) {
    _mz_zip_reader_entry_save ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_save,
        _dart_mz_zip_reader_entry_save>('mz_zip_reader_entry_save');
    return _mz_zip_reader_entry_save(
      handle,
      stream,
      write_cb,
    );
  }

  _dart_mz_zip_reader_entry_save _mz_zip_reader_entry_save;

  int mz_zip_reader_entry_save_process(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_6>> write_cb,
  ) {
    _mz_zip_reader_entry_save_process ??= _dylib.lookupFunction<
            _c_mz_zip_reader_entry_save_process,
            _dart_mz_zip_reader_entry_save_process>(
        'mz_zip_reader_entry_save_process');
    return _mz_zip_reader_entry_save_process(
      handle,
      stream,
      write_cb,
    );
  }

  _dart_mz_zip_reader_entry_save_process _mz_zip_reader_entry_save_process;

  int mz_zip_reader_entry_save_file(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_zip_reader_entry_save_file ??= _dylib.lookupFunction<
        _c_mz_zip_reader_entry_save_file,
        _dart_mz_zip_reader_entry_save_file>('mz_zip_reader_entry_save_file');
    return _mz_zip_reader_entry_save_file(
      handle,
      path,
    );
  }

  _dart_mz_zip_reader_entry_save_file _mz_zip_reader_entry_save_file;

  int mz_zip_reader_entry_save_buffer(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int len,
  ) {
    _mz_zip_reader_entry_save_buffer ??= _dylib.lookupFunction<
            _c_mz_zip_reader_entry_save_buffer,
            _dart_mz_zip_reader_entry_save_buffer>(
        'mz_zip_reader_entry_save_buffer');
    return _mz_zip_reader_entry_save_buffer(
      handle,
      buf,
      len,
    );
  }

  _dart_mz_zip_reader_entry_save_buffer _mz_zip_reader_entry_save_buffer;

  int mz_zip_reader_entry_save_buffer_length(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_reader_entry_save_buffer_length ??= _dylib.lookupFunction<
            _c_mz_zip_reader_entry_save_buffer_length,
            _dart_mz_zip_reader_entry_save_buffer_length>(
        'mz_zip_reader_entry_save_buffer_length');
    return _mz_zip_reader_entry_save_buffer_length(
      handle,
    );
  }

  _dart_mz_zip_reader_entry_save_buffer_length
      _mz_zip_reader_entry_save_buffer_length;

  /// ************************************************************************
  int mz_zip_reader_save_all(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> destination_dir,
  ) {
    _mz_zip_reader_save_all ??= _dylib.lookupFunction<_c_mz_zip_reader_save_all,
        _dart_mz_zip_reader_save_all>('mz_zip_reader_save_all');
    return _mz_zip_reader_save_all(
      handle,
      destination_dir,
    );
  }

  _dart_mz_zip_reader_save_all _mz_zip_reader_save_all;

  /// ************************************************************************
  void mz_zip_reader_set_pattern(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> pattern,
    int ignore_case,
  ) {
    _mz_zip_reader_set_pattern ??= _dylib.lookupFunction<
        _c_mz_zip_reader_set_pattern,
        _dart_mz_zip_reader_set_pattern>('mz_zip_reader_set_pattern');
    return _mz_zip_reader_set_pattern(
      handle,
      pattern,
      ignore_case,
    );
  }

  _dart_mz_zip_reader_set_pattern _mz_zip_reader_set_pattern;

  void mz_zip_reader_set_password(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> password,
  ) {
    _mz_zip_reader_set_password ??= _dylib.lookupFunction<
        _c_mz_zip_reader_set_password,
        _dart_mz_zip_reader_set_password>('mz_zip_reader_set_password');
    return _mz_zip_reader_set_password(
      handle,
      password,
    );
  }

  _dart_mz_zip_reader_set_password _mz_zip_reader_set_password;

  void mz_zip_reader_set_raw(
    ffi.Pointer<ffi.Void> handle,
    int raw,
  ) {
    _mz_zip_reader_set_raw ??= _dylib.lookupFunction<_c_mz_zip_reader_set_raw,
        _dart_mz_zip_reader_set_raw>('mz_zip_reader_set_raw');
    return _mz_zip_reader_set_raw(
      handle,
      raw,
    );
  }

  _dart_mz_zip_reader_set_raw _mz_zip_reader_set_raw;

  int mz_zip_reader_get_raw(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> raw,
  ) {
    _mz_zip_reader_get_raw ??= _dylib.lookupFunction<_c_mz_zip_reader_get_raw,
        _dart_mz_zip_reader_get_raw>('mz_zip_reader_get_raw');
    return _mz_zip_reader_get_raw(
      handle,
      raw,
    );
  }

  _dart_mz_zip_reader_get_raw _mz_zip_reader_get_raw;

  int mz_zip_reader_get_zip_cd(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> zip_cd,
  ) {
    _mz_zip_reader_get_zip_cd ??= _dylib.lookupFunction<
        _c_mz_zip_reader_get_zip_cd,
        _dart_mz_zip_reader_get_zip_cd>('mz_zip_reader_get_zip_cd');
    return _mz_zip_reader_get_zip_cd(
      handle,
      zip_cd,
    );
  }

  _dart_mz_zip_reader_get_zip_cd _mz_zip_reader_get_zip_cd;

  int mz_zip_reader_get_comment(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<ffi.Int8>> comment,
  ) {
    _mz_zip_reader_get_comment ??= _dylib.lookupFunction<
        _c_mz_zip_reader_get_comment,
        _dart_mz_zip_reader_get_comment>('mz_zip_reader_get_comment');
    return _mz_zip_reader_get_comment(
      handle,
      comment,
    );
  }

  _dart_mz_zip_reader_get_comment _mz_zip_reader_get_comment;

  void mz_zip_reader_set_encoding(
    ffi.Pointer<ffi.Void> handle,
    int encoding,
  ) {
    _mz_zip_reader_set_encoding ??= _dylib.lookupFunction<
        _c_mz_zip_reader_set_encoding,
        _dart_mz_zip_reader_set_encoding>('mz_zip_reader_set_encoding');
    return _mz_zip_reader_set_encoding(
      handle,
      encoding,
    );
  }

  _dart_mz_zip_reader_set_encoding _mz_zip_reader_set_encoding;

  void mz_zip_reader_set_sign_required(
    ffi.Pointer<ffi.Void> handle,
    int sign_required,
  ) {
    _mz_zip_reader_set_sign_required ??= _dylib.lookupFunction<
            _c_mz_zip_reader_set_sign_required,
            _dart_mz_zip_reader_set_sign_required>(
        'mz_zip_reader_set_sign_required');
    return _mz_zip_reader_set_sign_required(
      handle,
      sign_required,
    );
  }

  _dart_mz_zip_reader_set_sign_required _mz_zip_reader_set_sign_required;

  void mz_zip_reader_set_overwrite_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_reader_overwrite_cb_1>> cb,
  ) {
    _mz_zip_reader_set_overwrite_cb ??= _dylib.lookupFunction<
        _c_mz_zip_reader_set_overwrite_cb,
        _dart_mz_zip_reader_set_overwrite_cb>('mz_zip_reader_set_overwrite_cb');
    return _mz_zip_reader_set_overwrite_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_reader_set_overwrite_cb _mz_zip_reader_set_overwrite_cb;

  void mz_zip_reader_set_password_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_reader_password_cb_1>> cb,
  ) {
    _mz_zip_reader_set_password_cb ??= _dylib.lookupFunction<
        _c_mz_zip_reader_set_password_cb,
        _dart_mz_zip_reader_set_password_cb>('mz_zip_reader_set_password_cb');
    return _mz_zip_reader_set_password_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_reader_set_password_cb _mz_zip_reader_set_password_cb;

  void mz_zip_reader_set_progress_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_reader_progress_cb_1>> cb,
  ) {
    _mz_zip_reader_set_progress_cb ??= _dylib.lookupFunction<
        _c_mz_zip_reader_set_progress_cb,
        _dart_mz_zip_reader_set_progress_cb>('mz_zip_reader_set_progress_cb');
    return _mz_zip_reader_set_progress_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_reader_set_progress_cb _mz_zip_reader_set_progress_cb;

  void mz_zip_reader_set_progress_interval(
    ffi.Pointer<ffi.Void> handle,
    int milliseconds,
  ) {
    _mz_zip_reader_set_progress_interval ??= _dylib.lookupFunction<
            _c_mz_zip_reader_set_progress_interval,
            _dart_mz_zip_reader_set_progress_interval>(
        'mz_zip_reader_set_progress_interval');
    return _mz_zip_reader_set_progress_interval(
      handle,
      milliseconds,
    );
  }

  _dart_mz_zip_reader_set_progress_interval
      _mz_zip_reader_set_progress_interval;

  void mz_zip_reader_set_entry_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_reader_entry_cb_1>> cb,
  ) {
    _mz_zip_reader_set_entry_cb ??= _dylib.lookupFunction<
        _c_mz_zip_reader_set_entry_cb,
        _dart_mz_zip_reader_set_entry_cb>('mz_zip_reader_set_entry_cb');
    return _mz_zip_reader_set_entry_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_reader_set_entry_cb _mz_zip_reader_set_entry_cb;

  int mz_zip_reader_get_zip_handle(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<ffi.Void>> zip_handle,
  ) {
    _mz_zip_reader_get_zip_handle ??= _dylib.lookupFunction<
        _c_mz_zip_reader_get_zip_handle,
        _dart_mz_zip_reader_get_zip_handle>('mz_zip_reader_get_zip_handle');
    return _mz_zip_reader_get_zip_handle(
      handle,
      zip_handle,
    );
  }

  _dart_mz_zip_reader_get_zip_handle _mz_zip_reader_get_zip_handle;

  ffi.Pointer<ffi.Void> mz_zip_reader_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_zip_reader_create ??= _dylib.lookupFunction<_c_mz_zip_reader_create,
        _dart_mz_zip_reader_create>('mz_zip_reader_create');
    return _mz_zip_reader_create(
      handle,
    );
  }

  _dart_mz_zip_reader_create _mz_zip_reader_create;

  void mz_zip_reader_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_zip_reader_delete ??= _dylib.lookupFunction<_c_mz_zip_reader_delete,
        _dart_mz_zip_reader_delete>('mz_zip_reader_delete');
    return _mz_zip_reader_delete(
      handle,
    );
  }

  _dart_mz_zip_reader_delete _mz_zip_reader_delete;

  /// ************************************************************************
  int mz_zip_writer_is_open(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_writer_is_open ??= _dylib.lookupFunction<_c_mz_zip_writer_is_open,
        _dart_mz_zip_writer_is_open>('mz_zip_writer_is_open');
    return _mz_zip_writer_is_open(
      handle,
    );
  }

  _dart_mz_zip_writer_is_open _mz_zip_writer_is_open;

  int mz_zip_writer_open(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
  ) {
    _mz_zip_writer_open ??=
        _dylib.lookupFunction<_c_mz_zip_writer_open, _dart_mz_zip_writer_open>(
            'mz_zip_writer_open');
    return _mz_zip_writer_open(
      handle,
      stream,
    );
  }

  _dart_mz_zip_writer_open _mz_zip_writer_open;

  int mz_zip_writer_open_file(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> path,
    int disk_size,
    int append,
  ) {
    _mz_zip_writer_open_file ??= _dylib.lookupFunction<
        _c_mz_zip_writer_open_file,
        _dart_mz_zip_writer_open_file>('mz_zip_writer_open_file');
    return _mz_zip_writer_open_file(
      handle,
      path,
      disk_size,
      append,
    );
  }

  _dart_mz_zip_writer_open_file _mz_zip_writer_open_file;

  int mz_zip_writer_open_file_in_memory(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> path,
  ) {
    _mz_zip_writer_open_file_in_memory ??= _dylib.lookupFunction<
            _c_mz_zip_writer_open_file_in_memory,
            _dart_mz_zip_writer_open_file_in_memory>(
        'mz_zip_writer_open_file_in_memory');
    return _mz_zip_writer_open_file_in_memory(
      handle,
      path,
    );
  }

  _dart_mz_zip_writer_open_file_in_memory _mz_zip_writer_open_file_in_memory;

  int mz_zip_writer_close(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_writer_close ??= _dylib.lookupFunction<_c_mz_zip_writer_close,
        _dart_mz_zip_writer_close>('mz_zip_writer_close');
    return _mz_zip_writer_close(
      handle,
    );
  }

  _dart_mz_zip_writer_close _mz_zip_writer_close;

  /// ************************************************************************
  int mz_zip_writer_entry_open(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<mz_zip_file_s> file_info,
  ) {
    _mz_zip_writer_entry_open ??= _dylib.lookupFunction<
        _c_mz_zip_writer_entry_open,
        _dart_mz_zip_writer_entry_open>('mz_zip_writer_entry_open');
    return _mz_zip_writer_entry_open(
      handle,
      file_info,
    );
  }

  _dart_mz_zip_writer_entry_open _mz_zip_writer_entry_open;

  int mz_zip_writer_entry_close(
    ffi.Pointer<ffi.Void> handle,
  ) {
    _mz_zip_writer_entry_close ??= _dylib.lookupFunction<
        _c_mz_zip_writer_entry_close,
        _dart_mz_zip_writer_entry_close>('mz_zip_writer_entry_close');
    return _mz_zip_writer_entry_close(
      handle,
    );
  }

  _dart_mz_zip_writer_entry_close _mz_zip_writer_entry_close;

  int mz_zip_writer_entry_write(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int len,
  ) {
    _mz_zip_writer_entry_write ??= _dylib.lookupFunction<
        _c_mz_zip_writer_entry_write,
        _dart_mz_zip_writer_entry_write>('mz_zip_writer_entry_write');
    return _mz_zip_writer_entry_write(
      handle,
      buf,
      len,
    );
  }

  _dart_mz_zip_writer_entry_write _mz_zip_writer_entry_write;

  /// ************************************************************************
  int mz_zip_writer_add(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_5>> read_cb,
  ) {
    _mz_zip_writer_add ??=
        _dylib.lookupFunction<_c_mz_zip_writer_add, _dart_mz_zip_writer_add>(
            'mz_zip_writer_add');
    return _mz_zip_writer_add(
      handle,
      stream,
      read_cb,
    );
  }

  _dart_mz_zip_writer_add _mz_zip_writer_add;

  int mz_zip_writer_add_process(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_6>> read_cb,
  ) {
    _mz_zip_writer_add_process ??= _dylib.lookupFunction<
        _c_mz_zip_writer_add_process,
        _dart_mz_zip_writer_add_process>('mz_zip_writer_add_process');
    return _mz_zip_writer_add_process(
      handle,
      stream,
      read_cb,
    );
  }

  _dart_mz_zip_writer_add_process _mz_zip_writer_add_process;

  int mz_zip_writer_add_info(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> stream,
    ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_7>> read_cb,
    ffi.Pointer<mz_zip_file_s> file_info,
  ) {
    _mz_zip_writer_add_info ??= _dylib.lookupFunction<_c_mz_zip_writer_add_info,
        _dart_mz_zip_writer_add_info>('mz_zip_writer_add_info');
    return _mz_zip_writer_add_info(
      handle,
      stream,
      read_cb,
      file_info,
    );
  }

  _dart_mz_zip_writer_add_info _mz_zip_writer_add_info;

  int mz_zip_writer_add_buffer(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> buf,
    int len,
    ffi.Pointer<mz_zip_file_s> file_info,
  ) {
    _mz_zip_writer_add_buffer ??= _dylib.lookupFunction<
        _c_mz_zip_writer_add_buffer,
        _dart_mz_zip_writer_add_buffer>('mz_zip_writer_add_buffer');
    return _mz_zip_writer_add_buffer(
      handle,
      buf,
      len,
      file_info,
    );
  }

  _dart_mz_zip_writer_add_buffer _mz_zip_writer_add_buffer;

  int mz_zip_writer_add_file(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int8> filename_in_zip,
  ) {
    _mz_zip_writer_add_file ??= _dylib.lookupFunction<_c_mz_zip_writer_add_file,
        _dart_mz_zip_writer_add_file>('mz_zip_writer_add_file');
    return _mz_zip_writer_add_file(
      handle,
      path,
      filename_in_zip,
    );
  }

  _dart_mz_zip_writer_add_file _mz_zip_writer_add_file;

  int mz_zip_writer_add_path(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> path,
    ffi.Pointer<ffi.Int8> root_path,
    int include_path,
    int recursive,
  ) {
    _mz_zip_writer_add_path ??= _dylib.lookupFunction<_c_mz_zip_writer_add_path,
        _dart_mz_zip_writer_add_path>('mz_zip_writer_add_path');
    return _mz_zip_writer_add_path(
      handle,
      path,
      root_path,
      include_path,
      recursive,
    );
  }

  _dart_mz_zip_writer_add_path _mz_zip_writer_add_path;

  int mz_zip_writer_copy_from_reader(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> reader,
  ) {
    _mz_zip_writer_copy_from_reader ??= _dylib.lookupFunction<
        _c_mz_zip_writer_copy_from_reader,
        _dart_mz_zip_writer_copy_from_reader>('mz_zip_writer_copy_from_reader');
    return _mz_zip_writer_copy_from_reader(
      handle,
      reader,
    );
  }

  _dart_mz_zip_writer_copy_from_reader _mz_zip_writer_copy_from_reader;

  /// ************************************************************************
  void mz_zip_writer_set_password(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> password,
  ) {
    _mz_zip_writer_set_password ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_password,
        _dart_mz_zip_writer_set_password>('mz_zip_writer_set_password');
    return _mz_zip_writer_set_password(
      handle,
      password,
    );
  }

  _dart_mz_zip_writer_set_password _mz_zip_writer_set_password;

  void mz_zip_writer_set_comment(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> comment,
  ) {
    _mz_zip_writer_set_comment ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_comment,
        _dart_mz_zip_writer_set_comment>('mz_zip_writer_set_comment');
    return _mz_zip_writer_set_comment(
      handle,
      comment,
    );
  }

  _dart_mz_zip_writer_set_comment _mz_zip_writer_set_comment;

  void mz_zip_writer_set_raw(
    ffi.Pointer<ffi.Void> handle,
    int raw,
  ) {
    _mz_zip_writer_set_raw ??= _dylib.lookupFunction<_c_mz_zip_writer_set_raw,
        _dart_mz_zip_writer_set_raw>('mz_zip_writer_set_raw');
    return _mz_zip_writer_set_raw(
      handle,
      raw,
    );
  }

  _dart_mz_zip_writer_set_raw _mz_zip_writer_set_raw;

  int mz_zip_writer_get_raw(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Uint8> raw,
  ) {
    _mz_zip_writer_get_raw ??= _dylib.lookupFunction<_c_mz_zip_writer_get_raw,
        _dart_mz_zip_writer_get_raw>('mz_zip_writer_get_raw');
    return _mz_zip_writer_get_raw(
      handle,
      raw,
    );
  }

  _dart_mz_zip_writer_get_raw _mz_zip_writer_get_raw;

  void mz_zip_writer_set_aes(
    ffi.Pointer<ffi.Void> handle,
    int aes,
  ) {
    _mz_zip_writer_set_aes ??= _dylib.lookupFunction<_c_mz_zip_writer_set_aes,
        _dart_mz_zip_writer_set_aes>('mz_zip_writer_set_aes');
    return _mz_zip_writer_set_aes(
      handle,
      aes,
    );
  }

  _dart_mz_zip_writer_set_aes _mz_zip_writer_set_aes;

  void mz_zip_writer_set_compress_method(
    ffi.Pointer<ffi.Void> handle,
    int compress_method,
  ) {
    _mz_zip_writer_set_compress_method ??= _dylib.lookupFunction<
            _c_mz_zip_writer_set_compress_method,
            _dart_mz_zip_writer_set_compress_method>(
        'mz_zip_writer_set_compress_method');
    return _mz_zip_writer_set_compress_method(
      handle,
      compress_method,
    );
  }

  _dart_mz_zip_writer_set_compress_method _mz_zip_writer_set_compress_method;

  void mz_zip_writer_set_compress_level(
    ffi.Pointer<ffi.Void> handle,
    int compress_level,
  ) {
    _mz_zip_writer_set_compress_level ??= _dylib.lookupFunction<
            _c_mz_zip_writer_set_compress_level,
            _dart_mz_zip_writer_set_compress_level>(
        'mz_zip_writer_set_compress_level');
    return _mz_zip_writer_set_compress_level(
      handle,
      compress_level,
    );
  }

  _dart_mz_zip_writer_set_compress_level _mz_zip_writer_set_compress_level;

  void mz_zip_writer_set_follow_links(
    ffi.Pointer<ffi.Void> handle,
    int follow_links,
  ) {
    _mz_zip_writer_set_follow_links ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_follow_links,
        _dart_mz_zip_writer_set_follow_links>('mz_zip_writer_set_follow_links');
    return _mz_zip_writer_set_follow_links(
      handle,
      follow_links,
    );
  }

  _dart_mz_zip_writer_set_follow_links _mz_zip_writer_set_follow_links;

  void mz_zip_writer_set_store_links(
    ffi.Pointer<ffi.Void> handle,
    int store_links,
  ) {
    _mz_zip_writer_set_store_links ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_store_links,
        _dart_mz_zip_writer_set_store_links>('mz_zip_writer_set_store_links');
    return _mz_zip_writer_set_store_links(
      handle,
      store_links,
    );
  }

  _dart_mz_zip_writer_set_store_links _mz_zip_writer_set_store_links;

  void mz_zip_writer_set_zip_cd(
    ffi.Pointer<ffi.Void> handle,
    int zip_cd,
  ) {
    _mz_zip_writer_set_zip_cd ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_zip_cd,
        _dart_mz_zip_writer_set_zip_cd>('mz_zip_writer_set_zip_cd');
    return _mz_zip_writer_set_zip_cd(
      handle,
      zip_cd,
    );
  }

  _dart_mz_zip_writer_set_zip_cd _mz_zip_writer_set_zip_cd;

  int mz_zip_writer_set_certificate(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Int8> cert_path,
    ffi.Pointer<ffi.Int8> cert_pwd,
  ) {
    _mz_zip_writer_set_certificate ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_certificate,
        _dart_mz_zip_writer_set_certificate>('mz_zip_writer_set_certificate');
    return _mz_zip_writer_set_certificate(
      handle,
      cert_path,
      cert_pwd,
    );
  }

  _dart_mz_zip_writer_set_certificate _mz_zip_writer_set_certificate;

  void mz_zip_writer_set_overwrite_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_writer_overwrite_cb_1>> cb,
  ) {
    _mz_zip_writer_set_overwrite_cb ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_overwrite_cb,
        _dart_mz_zip_writer_set_overwrite_cb>('mz_zip_writer_set_overwrite_cb');
    return _mz_zip_writer_set_overwrite_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_writer_set_overwrite_cb _mz_zip_writer_set_overwrite_cb;

  void mz_zip_writer_set_password_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_writer_password_cb_1>> cb,
  ) {
    _mz_zip_writer_set_password_cb ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_password_cb,
        _dart_mz_zip_writer_set_password_cb>('mz_zip_writer_set_password_cb');
    return _mz_zip_writer_set_password_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_writer_set_password_cb _mz_zip_writer_set_password_cb;

  void mz_zip_writer_set_progress_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_writer_progress_cb_1>> cb,
  ) {
    _mz_zip_writer_set_progress_cb ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_progress_cb,
        _dart_mz_zip_writer_set_progress_cb>('mz_zip_writer_set_progress_cb');
    return _mz_zip_writer_set_progress_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_writer_set_progress_cb _mz_zip_writer_set_progress_cb;

  void mz_zip_writer_set_progress_interval(
    ffi.Pointer<ffi.Void> handle,
    int milliseconds,
  ) {
    _mz_zip_writer_set_progress_interval ??= _dylib.lookupFunction<
            _c_mz_zip_writer_set_progress_interval,
            _dart_mz_zip_writer_set_progress_interval>(
        'mz_zip_writer_set_progress_interval');
    return _mz_zip_writer_set_progress_interval(
      handle,
      milliseconds,
    );
  }

  _dart_mz_zip_writer_set_progress_interval
      _mz_zip_writer_set_progress_interval;

  void mz_zip_writer_set_entry_cb(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Void> userdata,
    ffi.Pointer<ffi.NativeFunction<mz_zip_writer_entry_cb_1>> cb,
  ) {
    _mz_zip_writer_set_entry_cb ??= _dylib.lookupFunction<
        _c_mz_zip_writer_set_entry_cb,
        _dart_mz_zip_writer_set_entry_cb>('mz_zip_writer_set_entry_cb');
    return _mz_zip_writer_set_entry_cb(
      handle,
      userdata,
      cb,
    );
  }

  _dart_mz_zip_writer_set_entry_cb _mz_zip_writer_set_entry_cb;

  int mz_zip_writer_get_zip_handle(
    ffi.Pointer<ffi.Void> handle,
    ffi.Pointer<ffi.Pointer<ffi.Void>> zip_handle,
  ) {
    _mz_zip_writer_get_zip_handle ??= _dylib.lookupFunction<
        _c_mz_zip_writer_get_zip_handle,
        _dart_mz_zip_writer_get_zip_handle>('mz_zip_writer_get_zip_handle');
    return _mz_zip_writer_get_zip_handle(
      handle,
      zip_handle,
    );
  }

  _dart_mz_zip_writer_get_zip_handle _mz_zip_writer_get_zip_handle;

  ffi.Pointer<ffi.Void> mz_zip_writer_create(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_zip_writer_create ??= _dylib.lookupFunction<_c_mz_zip_writer_create,
        _dart_mz_zip_writer_create>('mz_zip_writer_create');
    return _mz_zip_writer_create(
      handle,
    );
  }

  _dart_mz_zip_writer_create _mz_zip_writer_create;

  void mz_zip_writer_delete(
    ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
  ) {
    _mz_zip_writer_delete ??= _dylib.lookupFunction<_c_mz_zip_writer_delete,
        _dart_mz_zip_writer_delete>('mz_zip_writer_delete');
    return _mz_zip_writer_delete(
      handle,
    );
  }

  _dart_mz_zip_writer_delete _mz_zip_writer_delete;
}

class __darwin_pthread_handler_rec extends ffi.Struct {
  ffi.Pointer<ffi.NativeFunction<_typedefC_1>> __routine;

  ffi.Pointer<ffi.Void> __arg;

  ffi.Pointer<__darwin_pthread_handler_rec> __next;
}

class _opaque_pthread_attr_t extends ffi.Struct {}

class _opaque_pthread_cond_t extends ffi.Struct {}

class _opaque_pthread_condattr_t extends ffi.Struct {}

class _opaque_pthread_mutex_t extends ffi.Struct {}

class _opaque_pthread_mutexattr_t extends ffi.Struct {}

class _opaque_pthread_once_t extends ffi.Struct {}

class _opaque_pthread_rwlock_t extends ffi.Struct {}

class _opaque_pthread_rwlockattr_t extends ffi.Struct {}

class _opaque_pthread_t extends ffi.Struct {}

class timespec extends ffi.Struct {
  @ffi.Int64()
  int tv_sec;

  @ffi.Int64()
  int tv_nsec;
}

class tm extends ffi.Struct {
  @ffi.Int32()
  int tm_sec;

  @ffi.Int32()
  int tm_min;

  @ffi.Int32()
  int tm_hour;

  @ffi.Int32()
  int tm_mday;

  @ffi.Int32()
  int tm_mon;

  @ffi.Int32()
  int tm_year;

  @ffi.Int32()
  int tm_wday;

  @ffi.Int32()
  int tm_yday;

  @ffi.Int32()
  int tm_isdst;

  @ffi.Int64()
  int tm_gmtoff;

  ffi.Pointer<ffi.Int8> tm_zone;
}

abstract class clockid_t {
  static const int _CLOCK_REALTIME = 0;
  static const int _CLOCK_MONOTONIC = 6;
  static const int _CLOCK_MONOTONIC_RAW = 4;
  static const int _CLOCK_MONOTONIC_RAW_APPROX = 5;
  static const int _CLOCK_UPTIME_RAW = 8;
  static const int _CLOCK_UPTIME_RAW_APPROX = 9;
  static const int _CLOCK_PROCESS_CPUTIME_ID = 12;
  static const int _CLOCK_THREAD_CPUTIME_ID = 16;
}

class dirent extends ffi.Struct {}

class _telldir extends ffi.Struct {}

class DIR extends ffi.Struct {}

/// ************************************************************************
class mz_stream_vtbl_s extends ffi.Struct {
  ffi.Pointer<ffi.NativeFunction<mz_stream_open_cb_1>> open;

  ffi.Pointer<ffi.NativeFunction<mz_stream_is_open_cb_1>> is_open;

  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_1>> read;

  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_1>> write;

  ffi.Pointer<ffi.NativeFunction<mz_stream_tell_cb_1>> tell;

  ffi.Pointer<ffi.NativeFunction<mz_stream_seek_cb_1>> seek;

  ffi.Pointer<ffi.NativeFunction<mz_stream_close_cb_1>> close;

  ffi.Pointer<ffi.NativeFunction<mz_stream_error_cb_1>> error;

  ffi.Pointer<ffi.NativeFunction<mz_stream_create_cb_1>> create;

  ffi.Pointer<ffi.NativeFunction<mz_stream_destroy_cb_1>> destroy;

  ffi.Pointer<ffi.NativeFunction<mz_stream_get_prop_int64_cb_1>> get_prop_int64;

  ffi.Pointer<ffi.NativeFunction<mz_stream_set_prop_int64_cb_1>> set_prop_int64;
}

/// ************************************************************************
class mz_stream_vtbl extends ffi.Struct {
  ffi.Pointer<ffi.NativeFunction<mz_stream_open_cb_2>> open;

  ffi.Pointer<ffi.NativeFunction<mz_stream_is_open_cb_2>> is_open;

  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_2>> read;

  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_2>> write;

  ffi.Pointer<ffi.NativeFunction<mz_stream_tell_cb_2>> tell;

  ffi.Pointer<ffi.NativeFunction<mz_stream_seek_cb_2>> seek;

  ffi.Pointer<ffi.NativeFunction<mz_stream_close_cb_2>> close;

  ffi.Pointer<ffi.NativeFunction<mz_stream_error_cb_2>> error;

  ffi.Pointer<ffi.NativeFunction<mz_stream_create_cb_2>> create;

  ffi.Pointer<ffi.NativeFunction<mz_stream_destroy_cb_2>> destroy;

  ffi.Pointer<ffi.NativeFunction<mz_stream_get_prop_int64_cb_2>> get_prop_int64;

  ffi.Pointer<ffi.NativeFunction<mz_stream_set_prop_int64_cb_2>> set_prop_int64;
}

class mz_stream_s extends ffi.Struct {
  ffi.Pointer<mz_stream_vtbl_s> vtbl;

  ffi.Pointer<mz_stream_s> base;
}

class mz_stream extends ffi.Struct {
  ffi.Pointer<mz_stream_vtbl_s> vtbl;

  ffi.Pointer<mz_stream_s> base;
}

/// ************************************************************************
class mz_zip_file_s extends ffi.Struct {
  @ffi.Uint16()
  int version_madeby;

  @ffi.Uint16()
  int version_needed;

  @ffi.Uint16()
  int flag;

  @ffi.Uint16()
  int compression_method;

  @ffi.Int64()
  int modified_date;

  @ffi.Int64()
  int accessed_date;

  @ffi.Int64()
  int creation_date;

  @ffi.Uint32()
  int crc;

  @ffi.Int64()
  int compressed_size;

  @ffi.Int64()
  int uncompressed_size;

  @ffi.Uint16()
  int filename_size;

  @ffi.Uint16()
  int extrafield_size;

  @ffi.Uint16()
  int comment_size;

  @ffi.Uint32()
  int disk_number;

  @ffi.Int64()
  int disk_offset;

  @ffi.Uint16()
  int internal_fa;

  @ffi.Uint32()
  int external_fa;

  ffi.Pointer<ffi.Int8> filename;

  ffi.Pointer<ffi.Uint8> extrafield;

  ffi.Pointer<ffi.Int8> comment;

  ffi.Pointer<ffi.Int8> linkname;

  @ffi.Uint16()
  int zip64;

  @ffi.Uint16()
  int aes_version;

  @ffi.Uint8()
  int aes_encryption_mode;
}

/// ************************************************************************
class mz_zip_file extends ffi.Struct {
  @ffi.Uint16()
  int version_madeby;

  @ffi.Uint16()
  int version_needed;

  @ffi.Uint16()
  int flag;

  @ffi.Uint16()
  int compression_method;

  @ffi.Int64()
  int modified_date;

  @ffi.Int64()
  int accessed_date;

  @ffi.Int64()
  int creation_date;

  @ffi.Uint32()
  int crc;

  @ffi.Int64()
  int compressed_size;

  @ffi.Int64()
  int uncompressed_size;

  @ffi.Uint16()
  int filename_size;

  @ffi.Uint16()
  int extrafield_size;

  @ffi.Uint16()
  int comment_size;

  @ffi.Uint32()
  int disk_number;

  @ffi.Int64()
  int disk_offset;

  @ffi.Uint16()
  int internal_fa;

  @ffi.Uint32()
  int external_fa;

  ffi.Pointer<ffi.Int8> filename;

  ffi.Pointer<ffi.Uint8> extrafield;

  ffi.Pointer<ffi.Int8> comment;

  ffi.Pointer<ffi.Int8> linkname;

  @ffi.Uint16()
  int zip64;

  @ffi.Uint16()
  int aes_version;

  @ffi.Uint8()
  int aes_encryption_mode;
}

/// ************************************************************************
class mz_zip_entry extends ffi.Struct {
  @ffi.Uint16()
  int version_madeby;

  @ffi.Uint16()
  int version_needed;

  @ffi.Uint16()
  int flag;

  @ffi.Uint16()
  int compression_method;

  @ffi.Int64()
  int modified_date;

  @ffi.Int64()
  int accessed_date;

  @ffi.Int64()
  int creation_date;

  @ffi.Uint32()
  int crc;

  @ffi.Int64()
  int compressed_size;

  @ffi.Int64()
  int uncompressed_size;

  @ffi.Uint16()
  int filename_size;

  @ffi.Uint16()
  int extrafield_size;

  @ffi.Uint16()
  int comment_size;

  @ffi.Uint32()
  int disk_number;

  @ffi.Int64()
  int disk_offset;

  @ffi.Uint16()
  int internal_fa;

  @ffi.Uint32()
  int external_fa;

  ffi.Pointer<ffi.Int8> filename;

  ffi.Pointer<ffi.Uint8> extrafield;

  ffi.Pointer<ffi.Int8> comment;

  ffi.Pointer<ffi.Int8> linkname;

  @ffi.Uint16()
  int zip64;

  @ffi.Uint16()
  int aes_version;

  @ffi.Uint8()
  int aes_encryption_mode;
}

typedef _c_asctime = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<tm> arg0,
);

typedef _dart_asctime = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<tm> arg0,
);

typedef _c_clock = ffi.Uint64 Function();

typedef _dart_clock = int Function();

typedef _c_ctime = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _dart_ctime = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _c_difftime = ffi.Double Function(
  ffi.Int64 arg0,
  ffi.Int64 arg1,
);

typedef _dart_difftime = double Function(
  int arg0,
  int arg1,
);

typedef _c_getdate = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int8> arg0,
);

typedef _dart_getdate = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int8> arg0,
);

typedef _c_gmtime = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _dart_gmtime = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _c_localtime = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _dart_localtime = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _c_mktime = ffi.Int64 Function(
  ffi.Pointer<tm> arg0,
);

typedef _dart_mktime = int Function(
  ffi.Pointer<tm> arg0,
);

typedef _c_strftime = ffi.Uint64 Function(
  ffi.Pointer<ffi.Int8> arg0,
  ffi.Uint64 arg1,
  ffi.Pointer<ffi.Int8> arg2,
  ffi.Pointer<tm> arg3,
);

typedef _dart_strftime = int Function(
  ffi.Pointer<ffi.Int8> arg0,
  int arg1,
  ffi.Pointer<ffi.Int8> arg2,
  ffi.Pointer<tm> arg3,
);

typedef _c_strptime = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<ffi.Int8> arg0,
  ffi.Pointer<ffi.Int8> arg1,
  ffi.Pointer<tm> arg2,
);

typedef _dart_strptime = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<ffi.Int8> arg0,
  ffi.Pointer<ffi.Int8> arg1,
  ffi.Pointer<tm> arg2,
);

typedef _c_time = ffi.Int64 Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _dart_time = int Function(
  ffi.Pointer<ffi.Int64> arg0,
);

typedef _c_tzset = ffi.Void Function();

typedef _dart_tzset = void Function();

typedef _c_asctime_r = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<tm> arg0,
  ffi.Pointer<ffi.Int8> arg1,
);

typedef _dart_asctime_r = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<tm> arg0,
  ffi.Pointer<ffi.Int8> arg1,
);

typedef _c_ctime_r = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<ffi.Int64> arg0,
  ffi.Pointer<ffi.Int8> arg1,
);

typedef _dart_ctime_r = ffi.Pointer<ffi.Int8> Function(
  ffi.Pointer<ffi.Int64> arg0,
  ffi.Pointer<ffi.Int8> arg1,
);

typedef _c_gmtime_r = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
  ffi.Pointer<tm> arg1,
);

typedef _dart_gmtime_r = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
  ffi.Pointer<tm> arg1,
);

typedef _c_localtime_r = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
  ffi.Pointer<tm> arg1,
);

typedef _dart_localtime_r = ffi.Pointer<tm> Function(
  ffi.Pointer<ffi.Int64> arg0,
  ffi.Pointer<tm> arg1,
);

typedef _c_posix2time = ffi.Int64 Function(
  ffi.Int64 arg0,
);

typedef _dart_posix2time = int Function(
  int arg0,
);

typedef _c_tzsetwall = ffi.Void Function();

typedef _dart_tzsetwall = void Function();

typedef _c_time2posix = ffi.Int64 Function(
  ffi.Int64 arg0,
);

typedef _dart_time2posix = int Function(
  int arg0,
);

typedef _c_timelocal = ffi.Int64 Function(
  ffi.Pointer<tm> arg0,
);

typedef _dart_timelocal = int Function(
  ffi.Pointer<tm> arg0,
);

typedef _c_timegm = ffi.Int64 Function(
  ffi.Pointer<tm> arg0,
);

typedef _dart_timegm = int Function(
  ffi.Pointer<tm> arg0,
);

typedef _c_nanosleep = ffi.Int32 Function(
  ffi.Pointer<timespec> __rqtp,
  ffi.Pointer<timespec> __rmtp,
);

typedef _dart_nanosleep = int Function(
  ffi.Pointer<timespec> __rqtp,
  ffi.Pointer<timespec> __rmtp,
);

typedef _c_clock_getres = ffi.Int32 Function(
  ffi.Int32 __clock_id,
  ffi.Pointer<timespec> __res,
);

typedef _dart_clock_getres = int Function(
  int __clock_id,
  ffi.Pointer<timespec> __res,
);

typedef _c_clock_gettime = ffi.Int32 Function(
  ffi.Int32 __clock_id,
  ffi.Pointer<timespec> __tp,
);

typedef _dart_clock_gettime = int Function(
  int __clock_id,
  ffi.Pointer<timespec> __tp,
);

typedef _c_clock_gettime_nsec_np = ffi.Uint64 Function(
  ffi.Int32 __clock_id,
);

typedef _dart_clock_gettime_nsec_np = int Function(
  int __clock_id,
);

typedef _c_clock_settime = ffi.Int32 Function(
  ffi.Int32 __clock_id,
  ffi.Pointer<timespec> __tp,
);

typedef _dart_clock_settime = int Function(
  int __clock_id,
  ffi.Pointer<timespec> __tp,
);

typedef _c_timespec_get = ffi.Int32 Function(
  ffi.Pointer<timespec> ts,
  ffi.Int32 base,
);

typedef _dart_timespec_get = int Function(
  ffi.Pointer<timespec> ts,
  int base,
);

typedef _c_mz_crypt_crc32_update = ffi.Uint32 Function(
  ffi.Uint32 value,
  ffi.Pointer<ffi.Uint8> buf,
  ffi.Int32 size,
);

typedef _dart_mz_crypt_crc32_update = int Function(
  int value,
  ffi.Pointer<ffi.Uint8> buf,
  int size,
);

typedef _c_mz_crypt_pbkdf2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Uint8> password,
  ffi.Int32 password_length,
  ffi.Pointer<ffi.Uint8> salt,
  ffi.Int32 salt_length,
  ffi.Int32 iteration_count,
  ffi.Pointer<ffi.Uint8> key,
  ffi.Int32 key_length,
);

typedef _dart_mz_crypt_pbkdf2 = int Function(
  ffi.Pointer<ffi.Uint8> password,
  int password_length,
  ffi.Pointer<ffi.Uint8> salt,
  int salt_length,
  int iteration_count,
  ffi.Pointer<ffi.Uint8> key,
  int key_length,
);

typedef _c_mz_crypt_rand = ffi.Int32 Function(
  ffi.Pointer<ffi.Uint8> buf,
  ffi.Int32 size,
);

typedef _dart_mz_crypt_rand = int Function(
  ffi.Pointer<ffi.Uint8> buf,
  int size,
);

typedef _c_mz_crypt_sha_reset = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_crypt_sha_reset = void Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_crypt_sha_begin = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_crypt_sha_begin = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_crypt_sha_update = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_crypt_sha_update = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_crypt_sha_end = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> digest,
  ffi.Int32 digest_size,
);

typedef _dart_mz_crypt_sha_end = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> digest,
  int digest_size,
);

typedef _c_mz_crypt_sha_set_algorithm = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint16 algorithm,
);

typedef _dart_mz_crypt_sha_set_algorithm = void Function(
  ffi.Pointer<ffi.Void> handle,
  int algorithm,
);

typedef _c_mz_crypt_sha_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_crypt_sha_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_crypt_sha_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_crypt_sha_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_crypt_aes_reset = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_crypt_aes_reset = void Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_crypt_aes_encrypt = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> buf,
  ffi.Int32 size,
);

typedef _dart_mz_crypt_aes_encrypt = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> buf,
  int size,
);

typedef _c_mz_crypt_aes_decrypt = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> buf,
  ffi.Int32 size,
);

typedef _dart_mz_crypt_aes_decrypt = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> buf,
  int size,
);

typedef _c_mz_crypt_aes_set_encrypt_key = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> key,
  ffi.Int32 key_length,
);

typedef _dart_mz_crypt_aes_set_encrypt_key = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> key,
  int key_length,
);

typedef _c_mz_crypt_aes_set_decrypt_key = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> key,
  ffi.Int32 key_length,
);

typedef _dart_mz_crypt_aes_set_decrypt_key = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> key,
  int key_length,
);

typedef _c_mz_crypt_aes_set_mode = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Int32 mode,
);

typedef _dart_mz_crypt_aes_set_mode = void Function(
  ffi.Pointer<ffi.Void> handle,
  int mode,
);

typedef _c_mz_crypt_aes_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_crypt_aes_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_crypt_aes_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_crypt_aes_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_crypt_hmac_reset = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_crypt_hmac_reset = void Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_crypt_hmac_init = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> key,
  ffi.Int32 key_length,
);

typedef _dart_mz_crypt_hmac_init = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> key,
  int key_length,
);

typedef _c_mz_crypt_hmac_update = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_crypt_hmac_update = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_crypt_hmac_end = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> digest,
  ffi.Int32 digest_size,
);

typedef _dart_mz_crypt_hmac_end = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> digest,
  int digest_size,
);

typedef _c_mz_crypt_hmac_copy = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> src_handle,
  ffi.Pointer<ffi.Void> target_handle,
);

typedef _dart_mz_crypt_hmac_copy = int Function(
  ffi.Pointer<ffi.Void> src_handle,
  ffi.Pointer<ffi.Void> target_handle,
);

typedef _c_mz_crypt_hmac_set_algorithm = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint16 algorithm,
);

typedef _dart_mz_crypt_hmac_set_algorithm = void Function(
  ffi.Pointer<ffi.Void> handle,
  int algorithm,
);

typedef _c_mz_crypt_hmac_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_crypt_hmac_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_crypt_hmac_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_crypt_hmac_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_crypt_sign = ffi.Int32 Function(
  ffi.Pointer<ffi.Uint8> message,
  ffi.Int32 message_size,
  ffi.Pointer<ffi.Uint8> cert_data,
  ffi.Int32 cert_data_size,
  ffi.Pointer<ffi.Int8> cert_pwd,
  ffi.Pointer<ffi.Pointer<ffi.Uint8>> signature,
  ffi.Pointer<ffi.Int32> signature_size,
);

typedef _dart_mz_crypt_sign = int Function(
  ffi.Pointer<ffi.Uint8> message,
  int message_size,
  ffi.Pointer<ffi.Uint8> cert_data,
  int cert_data_size,
  ffi.Pointer<ffi.Int8> cert_pwd,
  ffi.Pointer<ffi.Pointer<ffi.Uint8>> signature,
  ffi.Pointer<ffi.Int32> signature_size,
);

typedef _c_mz_crypt_sign_verify = ffi.Int32 Function(
  ffi.Pointer<ffi.Uint8> message,
  ffi.Int32 message_size,
  ffi.Pointer<ffi.Uint8> signature,
  ffi.Int32 signature_size,
);

typedef _dart_mz_crypt_sign_verify = int Function(
  ffi.Pointer<ffi.Uint8> message,
  int message_size,
  ffi.Pointer<ffi.Uint8> signature,
  int signature_size,
);

typedef _c_closedir = ffi.Int32 Function(
  ffi.Pointer<DIR> arg0,
);

typedef _dart_closedir = int Function(
  ffi.Pointer<DIR> arg0,
);

typedef _c_opendir = ffi.Pointer<DIR> Function(
  ffi.Pointer<ffi.Int8> arg0,
);

typedef _dart_opendir = ffi.Pointer<DIR> Function(
  ffi.Pointer<ffi.Int8> arg0,
);

typedef _c_readdir = ffi.Pointer<dirent> Function(
  ffi.Pointer<DIR> arg0,
);

typedef _dart_readdir = ffi.Pointer<dirent> Function(
  ffi.Pointer<DIR> arg0,
);

typedef _c_readdir_r = ffi.Int32 Function(
  ffi.Pointer<DIR> arg0,
  ffi.Pointer<dirent> arg1,
  ffi.Pointer<ffi.Pointer<dirent>> arg2,
);

typedef _dart_readdir_r = int Function(
  ffi.Pointer<DIR> arg0,
  ffi.Pointer<dirent> arg1,
  ffi.Pointer<ffi.Pointer<dirent>> arg2,
);

typedef _c_rewinddir = ffi.Void Function(
  ffi.Pointer<DIR> arg0,
);

typedef _dart_rewinddir = void Function(
  ffi.Pointer<DIR> arg0,
);

typedef _c_seekdir = ffi.Void Function(
  ffi.Pointer<DIR> arg0,
  ffi.Int64 arg1,
);

typedef _dart_seekdir = void Function(
  ffi.Pointer<DIR> arg0,
  int arg1,
);

typedef _c_telldir = ffi.Int64 Function(
  ffi.Pointer<DIR> arg0,
);

typedef _dart_telldir = int Function(
  ffi.Pointer<DIR> arg0,
);

typedef _c_fdopendir = ffi.Pointer<DIR> Function(
  ffi.Int32 arg0,
);

typedef _dart_fdopendir = ffi.Pointer<DIR> Function(
  int arg0,
);

typedef _c_alphasort = ffi.Int32 Function(
  ffi.Pointer<ffi.Pointer<dirent>> arg0,
  ffi.Pointer<ffi.Pointer<dirent>> arg1,
);

typedef _dart_alphasort = int Function(
  ffi.Pointer<ffi.Pointer<dirent>> arg0,
  ffi.Pointer<ffi.Pointer<dirent>> arg1,
);

typedef _c_dirfd = ffi.Int32 Function(
  ffi.Pointer<DIR> dirp,
);

typedef _dart_dirfd = int Function(
  ffi.Pointer<DIR> dirp,
);

typedef _typedefC_2 = ffi.Int32 Function(
  ffi.Pointer<dirent>,
);

typedef _typedefC_3 = ffi.Int32 Function(
  ffi.Pointer<ffi.Pointer<dirent>>,
  ffi.Pointer<ffi.Pointer<dirent>>,
);

typedef _c_scandir = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> arg0,
  ffi.Pointer<ffi.Pointer<ffi.Pointer<dirent>>> arg1,
  ffi.Pointer<ffi.NativeFunction<_typedefC_2>> arg2,
  ffi.Pointer<ffi.NativeFunction<_typedefC_3>> arg3,
);

typedef _dart_scandir = int Function(
  ffi.Pointer<ffi.Int8> arg0,
  ffi.Pointer<ffi.Pointer<ffi.Pointer<dirent>>> arg1,
  ffi.Pointer<ffi.NativeFunction<_typedefC_2>> arg2,
  ffi.Pointer<ffi.NativeFunction<_typedefC_3>> arg3,
);

typedef _c_getdirentries = ffi.Int32 Function(
  ffi.Int32 arg0,
  ffi.Pointer<ffi.Int8> arg1,
  ffi.Int32 arg2,
  ffi.Pointer<ffi.Int64> arg3,
);

typedef _dart_getdirentries = int Function(
  int arg0,
  ffi.Pointer<ffi.Int8> arg1,
  int arg2,
  ffi.Pointer<ffi.Int64> arg3,
);

typedef _c___opendir2 = ffi.Pointer<DIR> Function(
  ffi.Pointer<ffi.Int8> arg0,
  ffi.Int32 arg1,
);

typedef _dart___opendir2 = ffi.Pointer<DIR> Function(
  ffi.Pointer<ffi.Int8> arg0,
  int arg1,
);

typedef _c_mz_path_combine = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> join,
  ffi.Int32 max_path,
);

typedef _dart_mz_path_combine = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> join,
  int max_path,
);

typedef _c_mz_path_append_slash = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Int32 max_path,
  ffi.Int8 slash,
);

typedef _dart_mz_path_append_slash = int Function(
  ffi.Pointer<ffi.Int8> path,
  int max_path,
  int slash,
);

typedef _c_mz_path_remove_slash = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_path_remove_slash = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_path_has_slash = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_path_has_slash = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_path_convert_slashes = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Int8 slash,
);

typedef _dart_mz_path_convert_slashes = int Function(
  ffi.Pointer<ffi.Int8> path,
  int slash,
);

typedef _c_mz_path_compare_wc = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> wildcard,
  ffi.Uint8 ignore_case,
);

typedef _dart_mz_path_compare_wc = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> wildcard,
  int ignore_case,
);

typedef _c_mz_path_resolve = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> target,
  ffi.Int32 max_target,
);

typedef _dart_mz_path_resolve = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> target,
  int max_target,
);

typedef _c_mz_path_remove_filename = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_path_remove_filename = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_path_remove_extension = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_path_remove_extension = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_path_get_filename = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Pointer<ffi.Int8>> filename,
);

typedef _dart_mz_path_get_filename = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Pointer<ffi.Int8>> filename,
);

typedef _c_mz_dir_make = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_dir_make = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_file_get_crc = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Uint32> result_crc,
);

typedef _dart_mz_file_get_crc = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Uint32> result_crc,
);

typedef _c_mz_os_unicode_string_create = ffi.Pointer<ffi.Int32> Function(
  ffi.Pointer<ffi.Int8> string,
  ffi.Int32 encoding,
);

typedef _dart_mz_os_unicode_string_create = ffi.Pointer<ffi.Int32> Function(
  ffi.Pointer<ffi.Int8> string,
  int encoding,
);

typedef _c_mz_os_unicode_string_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Int32>> string,
);

typedef _dart_mz_os_unicode_string_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Int32>> string,
);

typedef _c_mz_os_utf8_string_create = ffi.Pointer<ffi.Uint8> Function(
  ffi.Pointer<ffi.Int8> string,
  ffi.Int32 encoding,
);

typedef _dart_mz_os_utf8_string_create = ffi.Pointer<ffi.Uint8> Function(
  ffi.Pointer<ffi.Int8> string,
  int encoding,
);

typedef _c_mz_os_utf8_string_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Uint8>> string,
);

typedef _dart_mz_os_utf8_string_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Uint8>> string,
);

typedef _c_mz_os_rand = ffi.Int32 Function(
  ffi.Pointer<ffi.Uint8> buf,
  ffi.Int32 size,
);

typedef _dart_mz_os_rand = int Function(
  ffi.Pointer<ffi.Uint8> buf,
  int size,
);

typedef _c_mz_os_rename = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> source_path,
  ffi.Pointer<ffi.Int8> target_path,
);

typedef _dart_mz_os_rename = int Function(
  ffi.Pointer<ffi.Int8> source_path,
  ffi.Pointer<ffi.Int8> target_path,
);

typedef _c_mz_os_unlink = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_os_unlink = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_os_file_exists = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_os_file_exists = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_os_get_file_size = ffi.Int64 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_os_get_file_size = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_os_get_file_date = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int64> modified_date,
  ffi.Pointer<ffi.Int64> accessed_date,
  ffi.Pointer<ffi.Int64> creation_date,
);

typedef _dart_mz_os_get_file_date = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int64> modified_date,
  ffi.Pointer<ffi.Int64> accessed_date,
  ffi.Pointer<ffi.Int64> creation_date,
);

typedef _c_mz_os_set_file_date = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Int64 modified_date,
  ffi.Int64 accessed_date,
  ffi.Int64 creation_date,
);

typedef _dart_mz_os_set_file_date = int Function(
  ffi.Pointer<ffi.Int8> path,
  int modified_date,
  int accessed_date,
  int creation_date,
);

typedef _c_mz_os_get_file_attribs = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Uint32> attributes,
);

typedef _dart_mz_os_get_file_attribs = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Uint32> attributes,
);

typedef _c_mz_os_set_file_attribs = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Uint32 attributes,
);

typedef _dart_mz_os_set_file_attribs = int Function(
  ffi.Pointer<ffi.Int8> path,
  int attributes,
);

typedef _c_mz_os_make_dir = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_os_make_dir = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_os_open_dir = ffi.Pointer<DIR> Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_os_open_dir = ffi.Pointer<DIR> Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_os_read_dir = ffi.Pointer<dirent> Function(
  ffi.Pointer<DIR> dir,
);

typedef _dart_mz_os_read_dir = ffi.Pointer<dirent> Function(
  ffi.Pointer<DIR> dir,
);

typedef _c_mz_os_close_dir = ffi.Int32 Function(
  ffi.Pointer<DIR> dir,
);

typedef _dart_mz_os_close_dir = int Function(
  ffi.Pointer<DIR> dir,
);

typedef _c_mz_os_is_dir = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_os_is_dir = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_os_is_symlink = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_os_is_symlink = int Function(
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_os_make_symlink = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> target_path,
);

typedef _dart_mz_os_make_symlink = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> target_path,
);

typedef _c_mz_os_read_symlink = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> target_path,
  ffi.Int32 max_target_path,
);

typedef _dart_mz_os_read_symlink = int Function(
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> target_path,
  int max_target_path,
);

typedef _c_mz_os_ms_time = ffi.Uint64 Function();

typedef _dart_mz_os_ms_time = int Function();

typedef _c_mz_stream_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> path,
  ffi.Int32 mode,
);

typedef _dart_mz_stream_open = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> path,
  int mode,
);

typedef _c_mz_stream_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_is_open = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_read = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_read_uint8 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint8> value,
);

typedef _dart_mz_stream_read_uint8 = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint8> value,
);

typedef _c_mz_stream_read_uint16 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint16> value,
);

typedef _dart_mz_stream_read_uint16 = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint16> value,
);

typedef _c_mz_stream_read_uint32 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint32> value,
);

typedef _dart_mz_stream_read_uint32 = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint32> value,
);

typedef _c_mz_stream_read_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int64> value,
);

typedef _dart_mz_stream_read_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int64> value,
);

typedef _c_mz_stream_read_uint64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint64> value,
);

typedef _dart_mz_stream_read_uint64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint64> value,
);

typedef _c_mz_stream_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_write = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_write_uint8 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Uint8 value,
);

typedef _dart_mz_stream_write_uint8 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int value,
);

typedef _c_mz_stream_write_uint16 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Uint16 value,
);

typedef _dart_mz_stream_write_uint16 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int value,
);

typedef _c_mz_stream_write_uint32 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Uint32 value,
);

typedef _dart_mz_stream_write_uint32 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int value,
);

typedef _c_mz_stream_write_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 value,
);

typedef _dart_mz_stream_write_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int value,
);

typedef _c_mz_stream_write_uint64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Uint64 value,
);

typedef _dart_mz_stream_write_uint64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int value,
);

typedef _c_mz_stream_copy = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.Void> source,
  ffi.Int32 len,
);

typedef _dart_mz_stream_copy = int Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.Void> source,
  int len,
);

typedef _c_mz_stream_copy_to_end = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.Void> source,
);

typedef _dart_mz_stream_copy_to_end = int Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.Void> source,
);

typedef mz_stream_write_cb_3 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef mz_stream_read_cb_3 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef _c_mz_stream_copy_stream = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_3>> write_cb,
  ffi.Pointer<ffi.Void> source,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_3>> read_cb,
  ffi.Int32 len,
);

typedef _dart_mz_stream_copy_stream = int Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_3>> write_cb,
  ffi.Pointer<ffi.Void> source,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_3>> read_cb,
  int len,
);

typedef mz_stream_write_cb_4 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef mz_stream_read_cb_4 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef _c_mz_stream_copy_stream_to_end = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_4>> write_cb,
  ffi.Pointer<ffi.Void> source,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_4>> read_cb,
);

typedef _dart_mz_stream_copy_stream_to_end = int Function(
  ffi.Pointer<ffi.Void> target,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_4>> write_cb,
  ffi.Pointer<ffi.Void> source,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_4>> read_cb,
);

typedef _c_mz_stream_tell = ffi.Int64 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_tell = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_seek = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 offset,
  ffi.Int32 origin,
);

typedef _dart_mz_stream_seek = int Function(
  ffi.Pointer<ffi.Void> stream,
  int offset,
  int origin,
);

typedef _c_mz_stream_find = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> find,
  ffi.Int32 find_size,
  ffi.Int64 max_seek,
  ffi.Pointer<ffi.Int64> position,
);

typedef _dart_mz_stream_find = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> find,
  int find_size,
  int max_seek,
  ffi.Pointer<ffi.Int64> position,
);

typedef _c_mz_stream_find_reverse = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> find,
  ffi.Int32 find_size,
  ffi.Int64 max_seek,
  ffi.Pointer<ffi.Int64> position,
);

typedef _dart_mz_stream_find_reverse = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> find,
  int find_size,
  int max_seek,
  ffi.Pointer<ffi.Int64> position,
);

typedef _c_mz_stream_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_close = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_error = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_error = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_set_base = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> base,
);

typedef _dart_mz_stream_set_base = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> base,
);

typedef _c_mz_stream_get_interface = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_get_interface = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_get_prop_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 prop,
  ffi.Pointer<ffi.Int64> value,
);

typedef _dart_mz_stream_get_prop_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int prop,
  ffi.Pointer<ffi.Int64> value,
);

typedef _c_mz_stream_set_prop_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 prop,
  ffi.Int64 value,
);

typedef _dart_mz_stream_set_prop_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int prop,
  int value,
);

typedef _c_mz_stream_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ffi.Pointer<mz_stream_vtbl_s> vtbl,
);

typedef _dart_mz_stream_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
  ffi.Pointer<mz_stream_vtbl_s> vtbl,
);

typedef _c_mz_stream_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_raw_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> filename,
  ffi.Int32 mode,
);

typedef _dart_mz_stream_raw_open = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> filename,
  int mode,
);

typedef _c_mz_stream_raw_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_raw_is_open = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_raw_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_raw_read = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_raw_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_raw_write = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_raw_tell = ffi.Int64 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_raw_tell = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_raw_seek = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 offset,
  ffi.Int32 origin,
);

typedef _dart_mz_stream_raw_seek = int Function(
  ffi.Pointer<ffi.Void> stream,
  int offset,
  int origin,
);

typedef _c_mz_stream_raw_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_raw_close = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_raw_error = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_raw_error = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_raw_get_prop_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 prop,
  ffi.Pointer<ffi.Int64> value,
);

typedef _dart_mz_stream_raw_get_prop_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int prop,
  ffi.Pointer<ffi.Int64> value,
);

typedef _c_mz_stream_raw_set_prop_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 prop,
  ffi.Int64 value,
);

typedef _dart_mz_stream_raw_set_prop_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int prop,
  int value,
);

typedef _c_mz_stream_raw_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_raw_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_raw_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_raw_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_buffered_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> path,
  ffi.Int32 mode,
);

typedef _dart_mz_stream_buffered_open = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> path,
  int mode,
);

typedef _c_mz_stream_buffered_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_buffered_is_open = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_buffered_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_buffered_read = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_buffered_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_buffered_write = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_buffered_tell = ffi.Int64 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_buffered_tell = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_buffered_seek = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 offset,
  ffi.Int32 origin,
);

typedef _dart_mz_stream_buffered_seek = int Function(
  ffi.Pointer<ffi.Void> stream,
  int offset,
  int origin,
);

typedef _c_mz_stream_buffered_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_buffered_close = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_buffered_error = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_buffered_error = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_buffered_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_buffered_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_buffered_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_buffered_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_buffered_get_interface = ffi.Pointer<ffi.Void> Function();

typedef _dart_mz_stream_buffered_get_interface = ffi.Pointer<ffi.Void>
    Function();

typedef _c_mz_stream_mem_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> filename,
  ffi.Int32 mode,
);

typedef _dart_mz_stream_mem_open = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> filename,
  int mode,
);

typedef _c_mz_stream_mem_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_mem_is_open = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_mem_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_mem_read = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_mem_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_mem_write = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_mem_tell = ffi.Int64 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_mem_tell = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_mem_seek = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 offset,
  ffi.Int32 origin,
);

typedef _dart_mz_stream_mem_seek = int Function(
  ffi.Pointer<ffi.Void> stream,
  int offset,
  int origin,
);

typedef _c_mz_stream_mem_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_mem_close = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_mem_error = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_mem_error = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_mem_set_buffer = ffi.Void Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_mem_set_buffer = void Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_mem_get_buffer = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
);

typedef _dart_mz_stream_mem_get_buffer = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
);

typedef _c_mz_stream_mem_get_buffer_at = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 position,
  ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
);

typedef _dart_mz_stream_mem_get_buffer_at = int Function(
  ffi.Pointer<ffi.Void> stream,
  int position,
  ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
);

typedef _c_mz_stream_mem_get_buffer_at_current = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
);

typedef _dart_mz_stream_mem_get_buffer_at_current = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Pointer<ffi.Void>> buf,
);

typedef _c_mz_stream_mem_get_buffer_length = ffi.Void Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int32> length,
);

typedef _dart_mz_stream_mem_get_buffer_length = void Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int32> length,
);

typedef _c_mz_stream_mem_set_buffer_limit = ffi.Void Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 limit,
);

typedef _dart_mz_stream_mem_set_buffer_limit = void Function(
  ffi.Pointer<ffi.Void> stream,
  int limit,
);

typedef _c_mz_stream_mem_set_grow_size = ffi.Void Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 grow_size,
);

typedef _dart_mz_stream_mem_set_grow_size = void Function(
  ffi.Pointer<ffi.Void> stream,
  int grow_size,
);

typedef _c_mz_stream_mem_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_mem_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_mem_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_mem_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_mem_get_interface = ffi.Pointer<ffi.Void> Function();

typedef _dart_mz_stream_mem_get_interface = ffi.Pointer<ffi.Void> Function();

typedef _c_mz_stream_os_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> path,
  ffi.Int32 mode,
);

typedef _dart_mz_stream_os_open = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> path,
  int mode,
);

typedef _c_mz_stream_os_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_os_is_open = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_os_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_os_read = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_os_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_os_write = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_os_tell = ffi.Int64 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_os_tell = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_os_seek = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 offset,
  ffi.Int32 origin,
);

typedef _dart_mz_stream_os_seek = int Function(
  ffi.Pointer<ffi.Void> stream,
  int offset,
  int origin,
);

typedef _c_mz_stream_os_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_os_close = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_os_error = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_os_error = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_os_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_os_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_os_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_os_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_os_get_interface = ffi.Pointer<ffi.Void> Function();

typedef _dart_mz_stream_os_get_interface = ffi.Pointer<ffi.Void> Function();

typedef _c_mz_stream_split_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> filename,
  ffi.Int32 mode,
);

typedef _dart_mz_stream_split_open = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Int8> filename,
  int mode,
);

typedef _c_mz_stream_split_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_split_is_open = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_split_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_split_read = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_split_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 size,
);

typedef _dart_mz_stream_split_write = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Void> buf,
  int size,
);

typedef _c_mz_stream_split_tell = ffi.Int64 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_split_tell = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_split_seek = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int64 offset,
  ffi.Int32 origin,
);

typedef _dart_mz_stream_split_seek = int Function(
  ffi.Pointer<ffi.Void> stream,
  int offset,
  int origin,
);

typedef _c_mz_stream_split_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_split_close = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_split_error = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_stream_split_error = int Function(
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_stream_split_get_prop_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 prop,
  ffi.Pointer<ffi.Int64> value,
);

typedef _dart_mz_stream_split_get_prop_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int prop,
  ffi.Pointer<ffi.Int64> value,
);

typedef _c_mz_stream_split_set_prop_int64 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 prop,
  ffi.Int64 value,
);

typedef _dart_mz_stream_split_set_prop_int64 = int Function(
  ffi.Pointer<ffi.Void> stream,
  int prop,
  int value,
);

typedef _c_mz_stream_split_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_split_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_split_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_stream_split_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_stream_split_get_interface = ffi.Pointer<ffi.Void> Function();

typedef _dart_mz_stream_split_get_interface = ffi.Pointer<ffi.Void> Function();

typedef _c_mz_zip_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_zip_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_zip_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_zip_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_zip_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Int32 mode,
);

typedef _dart_mz_zip_open = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  int mode,
);

typedef _c_mz_zip_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_close = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_get_comment = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Int8>> comment,
);

typedef _dart_mz_zip_get_comment = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Int8>> comment,
);

typedef _c_mz_zip_set_comment = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> comment,
);

typedef _dart_mz_zip_set_comment = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> comment,
);

typedef _c_mz_zip_get_version_madeby = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint16> version_madeby,
);

typedef _dart_mz_zip_get_version_madeby = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint16> version_madeby,
);

typedef _c_mz_zip_set_version_madeby = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint16 version_madeby,
);

typedef _dart_mz_zip_set_version_madeby = int Function(
  ffi.Pointer<ffi.Void> handle,
  int version_madeby,
);

typedef _c_mz_zip_set_recover = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 recover,
);

typedef _dart_mz_zip_set_recover = int Function(
  ffi.Pointer<ffi.Void> handle,
  int recover,
);

typedef _c_mz_zip_set_data_descriptor = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 data_descriptor,
);

typedef _dart_mz_zip_set_data_descriptor = int Function(
  ffi.Pointer<ffi.Void> handle,
  int data_descriptor,
);

typedef _c_mz_zip_get_stream = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _dart_mz_zip_get_stream = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> stream,
);

typedef _c_mz_zip_set_cd_stream = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Int64 cd_start_pos,
  ffi.Pointer<ffi.Void> cd_stream,
);

typedef _dart_mz_zip_set_cd_stream = int Function(
  ffi.Pointer<ffi.Void> handle,
  int cd_start_pos,
  ffi.Pointer<ffi.Void> cd_stream,
);

typedef _c_mz_zip_get_cd_mem_stream = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> cd_mem_stream,
);

typedef _dart_mz_zip_get_cd_mem_stream = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> cd_mem_stream,
);

typedef _c_mz_zip_set_number_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint64 number_entry,
);

typedef _dart_mz_zip_set_number_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
  int number_entry,
);

typedef _c_mz_zip_get_number_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint64> number_entry,
);

typedef _dart_mz_zip_get_number_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint64> number_entry,
);

typedef _c_mz_zip_set_disk_number_with_cd = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint32 disk_number_with_cd,
);

typedef _dart_mz_zip_set_disk_number_with_cd = int Function(
  ffi.Pointer<ffi.Void> handle,
  int disk_number_with_cd,
);

typedef _c_mz_zip_get_disk_number_with_cd = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint32> disk_number_with_cd,
);

typedef _dart_mz_zip_get_disk_number_with_cd = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint32> disk_number_with_cd,
);

typedef _c_mz_zip_entry_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_entry_is_open = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_entry_read_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 raw,
  ffi.Pointer<ffi.Int8> password,
);

typedef _dart_mz_zip_entry_read_open = int Function(
  ffi.Pointer<ffi.Void> handle,
  int raw,
  ffi.Pointer<ffi.Int8> password,
);

typedef _c_mz_zip_entry_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 len,
);

typedef _dart_mz_zip_entry_read = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int len,
);

typedef _c_mz_zip_entry_read_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint32> crc32,
  ffi.Pointer<ffi.Int64> compressed_size,
  ffi.Pointer<ffi.Int64> uncompressed_size,
);

typedef _dart_mz_zip_entry_read_close = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint32> crc32,
  ffi.Pointer<ffi.Int64> compressed_size,
  ffi.Pointer<ffi.Int64> uncompressed_size,
);

typedef _c_mz_zip_entry_write_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<mz_zip_file_s> file_info,
  ffi.Int16 compress_level,
  ffi.Uint8 raw,
  ffi.Pointer<ffi.Int8> password,
);

typedef _dart_mz_zip_entry_write_open = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<mz_zip_file_s> file_info,
  int compress_level,
  int raw,
  ffi.Pointer<ffi.Int8> password,
);

typedef _c_mz_zip_entry_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 len,
);

typedef _dart_mz_zip_entry_write = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int len,
);

typedef _c_mz_zip_entry_write_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint32 crc32,
  ffi.Int64 compressed_size,
  ffi.Int64 uncompressed_size,
);

typedef _dart_mz_zip_entry_write_close = int Function(
  ffi.Pointer<ffi.Void> handle,
  int crc32,
  int compressed_size,
  int uncompressed_size,
);

typedef _c_mz_zip_entry_close_raw = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Int64 uncompressed_size,
  ffi.Uint32 crc32,
);

typedef _dart_mz_zip_entry_close_raw = int Function(
  ffi.Pointer<ffi.Void> handle,
  int uncompressed_size,
  int crc32,
);

typedef _c_mz_zip_entry_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_entry_close = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_entry_is_dir = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_entry_is_dir = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_entry_is_symlink = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_entry_is_symlink = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_entry_get_info = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<mz_zip_file_s>> file_info,
);

typedef _dart_mz_zip_entry_get_info = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<mz_zip_file_s>> file_info,
);

typedef _c_mz_zip_entry_get_local_info = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<mz_zip_file_s>> local_file_info,
);

typedef _dart_mz_zip_entry_get_local_info = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<mz_zip_file_s>> local_file_info,
);

typedef _c_mz_zip_entry_set_extrafield = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> extrafield,
  ffi.Uint16 extrafield_size,
);

typedef _dart_mz_zip_entry_set_extrafield = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> extrafield,
  int extrafield_size,
);

typedef _c_mz_zip_get_entry = ffi.Int64 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_get_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_goto_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Int64 cd_pos,
);

typedef _dart_mz_zip_goto_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
  int cd_pos,
);

typedef _c_mz_zip_goto_first_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_goto_first_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_goto_next_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_goto_next_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_locate_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> filename,
  ffi.Uint8 ignore_case,
);

typedef _dart_mz_zip_locate_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> filename,
  int ignore_case,
);

typedef mz_zip_locate_entry_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
);

typedef _c_mz_zip_locate_first_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_locate_entry_cb_1>> cb,
);

typedef _dart_mz_zip_locate_first_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_locate_entry_cb_1>> cb,
);

typedef mz_zip_locate_entry_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
);

typedef _c_mz_zip_locate_next_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_locate_entry_cb_2>> cb,
);

typedef _dart_mz_zip_locate_next_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_locate_entry_cb_2>> cb,
);

typedef _c_mz_zip_attrib_is_dir = ffi.Int32 Function(
  ffi.Uint32 attrib,
  ffi.Int32 version_madeby,
);

typedef _dart_mz_zip_attrib_is_dir = int Function(
  int attrib,
  int version_madeby,
);

typedef _c_mz_zip_attrib_is_symlink = ffi.Int32 Function(
  ffi.Uint32 attrib,
  ffi.Int32 version_madeby,
);

typedef _dart_mz_zip_attrib_is_symlink = int Function(
  int attrib,
  int version_madeby,
);

typedef _c_mz_zip_attrib_convert = ffi.Int32 Function(
  ffi.Uint8 src_sys,
  ffi.Uint32 src_attrib,
  ffi.Uint8 target_sys,
  ffi.Pointer<ffi.Uint32> target_attrib,
);

typedef _dart_mz_zip_attrib_convert = int Function(
  int src_sys,
  int src_attrib,
  int target_sys,
  ffi.Pointer<ffi.Uint32> target_attrib,
);

typedef _c_mz_zip_attrib_posix_to_win32 = ffi.Int32 Function(
  ffi.Uint32 posix_attrib,
  ffi.Pointer<ffi.Uint32> win32_attrib,
);

typedef _dart_mz_zip_attrib_posix_to_win32 = int Function(
  int posix_attrib,
  ffi.Pointer<ffi.Uint32> win32_attrib,
);

typedef _c_mz_zip_attrib_win32_to_posix = ffi.Int32 Function(
  ffi.Uint32 win32_attrib,
  ffi.Pointer<ffi.Uint32> posix_attrib,
);

typedef _dart_mz_zip_attrib_win32_to_posix = int Function(
  int win32_attrib,
  ffi.Pointer<ffi.Uint32> posix_attrib,
);

typedef _c_mz_zip_extrafield_find = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Uint16 type,
  ffi.Pointer<ffi.Uint16> length,
);

typedef _dart_mz_zip_extrafield_find = int Function(
  ffi.Pointer<ffi.Void> stream,
  int type,
  ffi.Pointer<ffi.Uint16> length,
);

typedef _c_mz_zip_extrafield_contains = ffi.Int32 Function(
  ffi.Pointer<ffi.Uint8> extrafield,
  ffi.Int32 extrafield_size,
  ffi.Uint16 type,
  ffi.Pointer<ffi.Uint16> length,
);

typedef _dart_mz_zip_extrafield_contains = int Function(
  ffi.Pointer<ffi.Uint8> extrafield,
  int extrafield_size,
  int type,
  ffi.Pointer<ffi.Uint16> length,
);

typedef _c_mz_zip_extrafield_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint16> type,
  ffi.Pointer<ffi.Uint16> length,
);

typedef _dart_mz_zip_extrafield_read = int Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.Uint16> type,
  ffi.Pointer<ffi.Uint16> length,
);

typedef _c_mz_zip_extrafield_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> stream,
  ffi.Uint16 type,
  ffi.Uint16 length,
);

typedef _dart_mz_zip_extrafield_write = int Function(
  ffi.Pointer<ffi.Void> stream,
  int type,
  int length,
);

typedef _c_mz_zip_dosdate_to_tm = ffi.Int32 Function(
  ffi.Uint64 dos_date,
  ffi.Pointer<tm> ptm,
);

typedef _dart_mz_zip_dosdate_to_tm = int Function(
  int dos_date,
  ffi.Pointer<tm> ptm,
);

typedef _c_mz_zip_dosdate_to_time_t = ffi.Int64 Function(
  ffi.Uint64 dos_date,
);

typedef _dart_mz_zip_dosdate_to_time_t = int Function(
  int dos_date,
);

typedef _c_mz_zip_time_t_to_tm = ffi.Int32 Function(
  ffi.Int64 unix_time,
  ffi.Pointer<tm> ptm,
);

typedef _dart_mz_zip_time_t_to_tm = int Function(
  int unix_time,
  ffi.Pointer<tm> ptm,
);

typedef _c_mz_zip_time_t_to_dos_date = ffi.Uint32 Function(
  ffi.Int64 unix_time,
);

typedef _dart_mz_zip_time_t_to_dos_date = int Function(
  int unix_time,
);

typedef _c_mz_zip_tm_to_dosdate = ffi.Uint32 Function(
  ffi.Pointer<tm> ptm,
);

typedef _dart_mz_zip_tm_to_dosdate = int Function(
  ffi.Pointer<tm> ptm,
);

typedef _c_mz_zip_ntfs_to_unix_time = ffi.Int32 Function(
  ffi.Uint64 ntfs_time,
  ffi.Pointer<ffi.Int64> unix_time,
);

typedef _dart_mz_zip_ntfs_to_unix_time = int Function(
  int ntfs_time,
  ffi.Pointer<ffi.Int64> unix_time,
);

typedef _c_mz_zip_unix_to_ntfs_time = ffi.Int32 Function(
  ffi.Int64 unix_time,
  ffi.Pointer<ffi.Uint64> ntfs_time,
);

typedef _dart_mz_zip_unix_to_ntfs_time = int Function(
  int unix_time,
  ffi.Pointer<ffi.Uint64> ntfs_time,
);

typedef _c_mz_zip_path_compare = ffi.Int32 Function(
  ffi.Pointer<ffi.Int8> path1,
  ffi.Pointer<ffi.Int8> path2,
  ffi.Uint8 ignore_case,
);

typedef _dart_mz_zip_path_compare = int Function(
  ffi.Pointer<ffi.Int8> path1,
  ffi.Pointer<ffi.Int8> path2,
  int ignore_case,
);

typedef _c_mz_zip_reader_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_is_open = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_zip_reader_open = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_zip_reader_open_file = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_zip_reader_open_file = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_zip_reader_open_file_in_memory = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_zip_reader_open_file_in_memory = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_zip_reader_open_buffer = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> buf,
  ffi.Int32 len,
  ffi.Uint8 copy,
);

typedef _dart_mz_zip_reader_open_buffer = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> buf,
  int len,
  int copy,
);

typedef _c_mz_zip_reader_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_close = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_unzip_cd = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_unzip_cd = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_goto_first_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_goto_first_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_goto_next_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_goto_next_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_locate_entry = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> filename,
  ffi.Uint8 ignore_case,
);

typedef _dart_mz_zip_reader_locate_entry = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> filename,
  int ignore_case,
);

typedef _c_mz_zip_reader_entry_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_entry_open = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_entry_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_entry_close = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_entry_read = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 len,
);

typedef _dart_mz_zip_reader_entry_read = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int len,
);

typedef _c_mz_zip_reader_entry_has_sign = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_entry_has_sign = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_entry_sign_verify = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_entry_sign_verify = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_entry_get_hash = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint16 algorithm,
  ffi.Pointer<ffi.Uint8> digest,
  ffi.Int32 digest_size,
);

typedef _dart_mz_zip_reader_entry_get_hash = int Function(
  ffi.Pointer<ffi.Void> handle,
  int algorithm,
  ffi.Pointer<ffi.Uint8> digest,
  int digest_size,
);

typedef _c_mz_zip_reader_entry_get_first_hash = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint16> algorithm,
  ffi.Pointer<ffi.Uint16> digest_size,
);

typedef _dart_mz_zip_reader_entry_get_first_hash = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint16> algorithm,
  ffi.Pointer<ffi.Uint16> digest_size,
);

typedef _c_mz_zip_reader_entry_get_info = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<mz_zip_file_s>> file_info,
);

typedef _dart_mz_zip_reader_entry_get_info = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<mz_zip_file_s>> file_info,
);

typedef _c_mz_zip_reader_entry_is_dir = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_entry_is_dir = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef mz_stream_write_cb_5 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef _c_mz_zip_reader_entry_save = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_5>> write_cb,
);

typedef _dart_mz_zip_reader_entry_save = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_5>> write_cb,
);

typedef mz_stream_write_cb_6 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef _c_mz_zip_reader_entry_save_process = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_6>> write_cb,
);

typedef _dart_mz_zip_reader_entry_save_process = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_write_cb_6>> write_cb,
);

typedef _c_mz_zip_reader_entry_save_file = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_zip_reader_entry_save_file = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_zip_reader_entry_save_buffer = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 len,
);

typedef _dart_mz_zip_reader_entry_save_buffer = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int len,
);

typedef _c_mz_zip_reader_entry_save_buffer_length = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_reader_entry_save_buffer_length = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_reader_save_all = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> destination_dir,
);

typedef _dart_mz_zip_reader_save_all = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> destination_dir,
);

typedef _c_mz_zip_reader_set_pattern = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> pattern,
  ffi.Uint8 ignore_case,
);

typedef _dart_mz_zip_reader_set_pattern = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> pattern,
  int ignore_case,
);

typedef _c_mz_zip_reader_set_password = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> password,
);

typedef _dart_mz_zip_reader_set_password = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> password,
);

typedef _c_mz_zip_reader_set_raw = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 raw,
);

typedef _dart_mz_zip_reader_set_raw = void Function(
  ffi.Pointer<ffi.Void> handle,
  int raw,
);

typedef _c_mz_zip_reader_get_raw = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> raw,
);

typedef _dart_mz_zip_reader_get_raw = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> raw,
);

typedef _c_mz_zip_reader_get_zip_cd = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> zip_cd,
);

typedef _dart_mz_zip_reader_get_zip_cd = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> zip_cd,
);

typedef _c_mz_zip_reader_get_comment = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Int8>> comment,
);

typedef _dart_mz_zip_reader_get_comment = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Int8>> comment,
);

typedef _c_mz_zip_reader_set_encoding = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Int32 encoding,
);

typedef _dart_mz_zip_reader_set_encoding = void Function(
  ffi.Pointer<ffi.Void> handle,
  int encoding,
);

typedef _c_mz_zip_reader_set_sign_required = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 sign_required,
);

typedef _dart_mz_zip_reader_set_sign_required = void Function(
  ffi.Pointer<ffi.Void> handle,
  int sign_required,
);

typedef mz_zip_reader_overwrite_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
  ffi.Pointer<ffi.Int8>,
);

typedef _c_mz_zip_reader_set_overwrite_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_overwrite_cb_1>> cb,
);

typedef _dart_mz_zip_reader_set_overwrite_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_overwrite_cb_1>> cb,
);

typedef mz_zip_reader_password_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
  ffi.Pointer<ffi.Int8>,
  ffi.Int32,
);

typedef _c_mz_zip_reader_set_password_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_password_cb_1>> cb,
);

typedef _dart_mz_zip_reader_set_password_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_password_cb_1>> cb,
);

typedef mz_zip_reader_progress_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
  ffi.Int64,
);

typedef _c_mz_zip_reader_set_progress_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_progress_cb_1>> cb,
);

typedef _dart_mz_zip_reader_set_progress_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_progress_cb_1>> cb,
);

typedef _c_mz_zip_reader_set_progress_interval = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint32 milliseconds,
);

typedef _dart_mz_zip_reader_set_progress_interval = void Function(
  ffi.Pointer<ffi.Void> handle,
  int milliseconds,
);

typedef mz_zip_reader_entry_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
  ffi.Pointer<ffi.Int8>,
);

typedef _c_mz_zip_reader_set_entry_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_entry_cb_1>> cb,
);

typedef _dart_mz_zip_reader_set_entry_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_reader_entry_cb_1>> cb,
);

typedef _c_mz_zip_reader_get_zip_handle = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> zip_handle,
);

typedef _dart_mz_zip_reader_get_zip_handle = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> zip_handle,
);

typedef _c_mz_zip_reader_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_zip_reader_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_zip_reader_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_zip_reader_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_zip_writer_is_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_writer_is_open = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_writer_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
);

typedef _dart_mz_zip_writer_open = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
);

typedef _c_mz_zip_writer_open_file = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
  ffi.Int64 disk_size,
  ffi.Uint8 append,
);

typedef _dart_mz_zip_writer_open_file = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
  int disk_size,
  int append,
);

typedef _c_mz_zip_writer_open_file_in_memory = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _dart_mz_zip_writer_open_file_in_memory = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
);

typedef _c_mz_zip_writer_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_writer_close = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_writer_entry_open = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<mz_zip_file_s> file_info,
);

typedef _dart_mz_zip_writer_entry_open = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<mz_zip_file_s> file_info,
);

typedef _c_mz_zip_writer_entry_close = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _dart_mz_zip_writer_entry_close = int Function(
  ffi.Pointer<ffi.Void> handle,
);

typedef _c_mz_zip_writer_entry_write = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 len,
);

typedef _dart_mz_zip_writer_entry_write = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int len,
);

typedef mz_stream_read_cb_5 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef _c_mz_zip_writer_add = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_5>> read_cb,
);

typedef _dart_mz_zip_writer_add = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_5>> read_cb,
);

typedef mz_stream_read_cb_6 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef _c_mz_zip_writer_add_process = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_6>> read_cb,
);

typedef _dart_mz_zip_writer_add_process = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_6>> read_cb,
);

typedef mz_stream_read_cb_7 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef _c_mz_zip_writer_add_info = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_7>> read_cb,
  ffi.Pointer<mz_zip_file_s> file_info,
);

typedef _dart_mz_zip_writer_add_info = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> stream,
  ffi.Pointer<ffi.NativeFunction<mz_stream_read_cb_7>> read_cb,
  ffi.Pointer<mz_zip_file_s> file_info,
);

typedef _c_mz_zip_writer_add_buffer = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  ffi.Int32 len,
  ffi.Pointer<mz_zip_file_s> file_info,
);

typedef _dart_mz_zip_writer_add_buffer = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> buf,
  int len,
  ffi.Pointer<mz_zip_file_s> file_info,
);

typedef _c_mz_zip_writer_add_file = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> filename_in_zip,
);

typedef _dart_mz_zip_writer_add_file = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> filename_in_zip,
);

typedef _c_mz_zip_writer_add_path = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> root_path,
  ffi.Uint8 include_path,
  ffi.Uint8 recursive,
);

typedef _dart_mz_zip_writer_add_path = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> path,
  ffi.Pointer<ffi.Int8> root_path,
  int include_path,
  int recursive,
);

typedef _c_mz_zip_writer_copy_from_reader = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> reader,
);

typedef _dart_mz_zip_writer_copy_from_reader = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> reader,
);

typedef _c_mz_zip_writer_set_password = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> password,
);

typedef _dart_mz_zip_writer_set_password = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> password,
);

typedef _c_mz_zip_writer_set_comment = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> comment,
);

typedef _dart_mz_zip_writer_set_comment = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> comment,
);

typedef _c_mz_zip_writer_set_raw = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 raw,
);

typedef _dart_mz_zip_writer_set_raw = void Function(
  ffi.Pointer<ffi.Void> handle,
  int raw,
);

typedef _c_mz_zip_writer_get_raw = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> raw,
);

typedef _dart_mz_zip_writer_get_raw = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Uint8> raw,
);

typedef _c_mz_zip_writer_set_aes = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 aes,
);

typedef _dart_mz_zip_writer_set_aes = void Function(
  ffi.Pointer<ffi.Void> handle,
  int aes,
);

typedef _c_mz_zip_writer_set_compress_method = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint16 compress_method,
);

typedef _dart_mz_zip_writer_set_compress_method = void Function(
  ffi.Pointer<ffi.Void> handle,
  int compress_method,
);

typedef _c_mz_zip_writer_set_compress_level = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Int16 compress_level,
);

typedef _dart_mz_zip_writer_set_compress_level = void Function(
  ffi.Pointer<ffi.Void> handle,
  int compress_level,
);

typedef _c_mz_zip_writer_set_follow_links = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 follow_links,
);

typedef _dart_mz_zip_writer_set_follow_links = void Function(
  ffi.Pointer<ffi.Void> handle,
  int follow_links,
);

typedef _c_mz_zip_writer_set_store_links = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 store_links,
);

typedef _dart_mz_zip_writer_set_store_links = void Function(
  ffi.Pointer<ffi.Void> handle,
  int store_links,
);

typedef _c_mz_zip_writer_set_zip_cd = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint8 zip_cd,
);

typedef _dart_mz_zip_writer_set_zip_cd = void Function(
  ffi.Pointer<ffi.Void> handle,
  int zip_cd,
);

typedef _c_mz_zip_writer_set_certificate = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> cert_path,
  ffi.Pointer<ffi.Int8> cert_pwd,
);

typedef _dart_mz_zip_writer_set_certificate = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Int8> cert_path,
  ffi.Pointer<ffi.Int8> cert_pwd,
);

typedef mz_zip_writer_overwrite_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Int8>,
);

typedef _c_mz_zip_writer_set_overwrite_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_overwrite_cb_1>> cb,
);

typedef _dart_mz_zip_writer_set_overwrite_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_overwrite_cb_1>> cb,
);

typedef mz_zip_writer_password_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
  ffi.Pointer<ffi.Int8>,
  ffi.Int32,
);

typedef _c_mz_zip_writer_set_password_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_password_cb_1>> cb,
);

typedef _dart_mz_zip_writer_set_password_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_password_cb_1>> cb,
);

typedef mz_zip_writer_progress_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
  ffi.Int64,
);

typedef _c_mz_zip_writer_set_progress_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_progress_cb_1>> cb,
);

typedef _dart_mz_zip_writer_set_progress_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_progress_cb_1>> cb,
);

typedef _c_mz_zip_writer_set_progress_interval = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Uint32 milliseconds,
);

typedef _dart_mz_zip_writer_set_progress_interval = void Function(
  ffi.Pointer<ffi.Void> handle,
  int milliseconds,
);

typedef mz_zip_writer_entry_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<mz_zip_file_s>,
);

typedef _c_mz_zip_writer_set_entry_cb = ffi.Void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_entry_cb_1>> cb,
);

typedef _dart_mz_zip_writer_set_entry_cb = void Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Void> userdata,
  ffi.Pointer<ffi.NativeFunction<mz_zip_writer_entry_cb_1>> cb,
);

typedef _c_mz_zip_writer_get_zip_handle = ffi.Int32 Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> zip_handle,
);

typedef _dart_mz_zip_writer_get_zip_handle = int Function(
  ffi.Pointer<ffi.Void> handle,
  ffi.Pointer<ffi.Pointer<ffi.Void>> zip_handle,
);

typedef _c_mz_zip_writer_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_zip_writer_create = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _c_mz_zip_writer_delete = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _dart_mz_zip_writer_delete = void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>> handle,
);

typedef _typedefC_1 = ffi.Void Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_open_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Int8>,
  ffi.Int32,
);

typedef mz_stream_is_open_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_read_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef mz_stream_write_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef mz_stream_tell_cb_1 = ffi.Int64 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_seek_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Int64,
  ffi.Int32,
);

typedef mz_stream_close_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_error_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_create_cb_1 = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>>,
);

typedef mz_stream_destroy_cb_1 = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>>,
);

typedef mz_stream_get_prop_int64_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
  ffi.Pointer<ffi.Int64>,
);

typedef mz_stream_set_prop_int64_cb_1 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
  ffi.Int64,
);

typedef mz_stream_open_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Int8>,
  ffi.Int32,
);

typedef mz_stream_is_open_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_read_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef mz_stream_write_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
);

typedef mz_stream_tell_cb_2 = ffi.Int64 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_seek_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Int64,
  ffi.Int32,
);

typedef mz_stream_close_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_error_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
);

typedef mz_stream_create_cb_2 = ffi.Pointer<ffi.Void> Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>>,
);

typedef mz_stream_destroy_cb_2 = ffi.Void Function(
  ffi.Pointer<ffi.Pointer<ffi.Void>>,
);

typedef mz_stream_get_prop_int64_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
  ffi.Pointer<ffi.Int64>,
);

typedef mz_stream_set_prop_int64_cb_2 = ffi.Int32 Function(
  ffi.Pointer<ffi.Void>,
  ffi.Int32,
  ffi.Int64,
);
